<?php



namespace WpieApp\Core\Office\Reader\XML;

use WpieApp\Core\Helpers\Helper;
use XMLReader;

defined( 'WPIE__FILE__' ) || exit;


class XmlRoot {

	
	private $data = [];

	
	private $tags = [];

	
	private $roots = [];

	
	public function getRoot( $tags = [] ) {

		if ( !Helper::isNonEmptyArray( $tags ) ) {
			return "";
		}

		$this->tags = $tags;

		$this->setData();

		$this->removeChildNodes();

		$this->removeParentNodes();

		//$data = Helper::isNonEmptyArray( $this->roots )? array_intersect_key( array_flip($this->roots ),$tags):[];

		return $this->get();
	}

	
	private function get() {

		if ( !Helper::isNonEmptyArray( $this->roots ) ) {
			return [];
		}

		$data = [];

		foreach ( $this->roots as $tag ) {

			$data[ $tag ] = $this->tags[ $tag ];
		}

		return $data;
	}

	
	private function setData() {

		$data = \array_keys( $this->tags );

		foreach ( $data as $tag ) {

			if ( strpos( $tag, "@" ) !== false ) {
				continue;
			}

			$this->data[] = $tag;
		}
	}

	
	private function removeChildNodes() {

		$this->roots = [];

		foreach ( $this->data as $tag ) {

			if ( !$this->hasChildren( $tag . '/' ) ) {
				continue;
			}

			$this->roots[] = $tag;
		}
	}

	
	private function hasChildren(  $root = "" ) {

		$count = 0;

		foreach ( $this->data as $tag ) {

			if ( Helper::strStartsWith( $root, $tag ) ) {
				$count++;
			}

			if ( $count > 1 ) {
				break;
			}
		}

		return $count > 1;
	}

	
	private function removeParentNodes() {

		$tempRoots = [];

		foreach ( $this->roots as $tag ) {

			if ( isset( $this->tags[ $tag ] ) && Helper::toInt( $this->tags[ $tag ] ) < 2 ) {
				continue;
			}

			$tempRoots[] = $tag;
		}

		if ( Helper::isNonEmptyArray( $tempRoots ) ) {
			$this->roots = $tempRoots;
		}
	}

}
