<?php


namespace WpieApp\Core\Page\Templates\Import;

use WpieApp\Core\Page\Blocks\Blocks;
use WpieApp\Core\Page\Blocks\Fields\Alert;
use WpieApp\Core\Page\Templates\Standard\Header as BaseHeader;

defined( 'WPIE__FILE__' ) || exit;


class Header extends BaseHeader {

        
        public static function render( $data = [] ) {

                $rtl = \is_rtl();

                $prevIcon = $rtl ? 'fa-caret-right' : 'fa-caret-left';
                $nextIcon = $rtl ? 'fa-caret-left' : 'fa-caret-right';
                ?>
                <div class="wpie-section mb-0">
                        <div class="row px-2 py-3 bg-white mt-4 me-3 ms-0 border ">
                                <div class="col-auto align-self-start m-auto ms-0 py-1"><div class="bse-fs-18 bse-fw-500 wpie-step-title"><?php esc_html_e( 'Step 1 : File Setup', 'wp-import-export' ); ?></div></div>
                                <div class="col-auto align-self-end"><button type="button" class="btn btn-secondary justify-content-end wpie-back-step-btn d-none"><i class="fa-solid me-1 <?php echo esc_attr( $prevIcon ); ?>"></i><?php esc_html_e( 'Back', 'wp-import-export' ); ?></button></div>
                                <div class="col-auto align-self-end"><button type="button" class="btn btn-primary justify-content-end wpie-next-step-btn d-none "><?php esc_html_e( 'Next', 'wp-import-export' ); ?><i class="fa-solid ms-1 <?php echo esc_attr( $nextIcon ); ?>"></i></button></div>
                        </div>
                        <?php
                        Alert::render(
                                [
                                        "type"        => "success",
                                        "icon-class"  => "fa-solid fa-circle-info wpie-header-file-info d-none",
                                        "class"       => "mt-3 me-3 wpie-header-file-info d-none",
                                        "preHtmlTags" => [ 'span' => [ 'class' => true ] ],
                                        "text"        => sprintf(
                                                /* translators: 1: File name 2: file records */
                                                esc_html__( 'File %1$s has %2$s Records', 'wp-import-export' ),
                                                '<span class="wpie-header-filename bse-fw-600"></span>',
                                                '<span class="wpie-header-file-count bse-fw-600"></span>'
                                        )
                                ]
                        );
                        ?>

                </div>
                <?php
                Blocks::render( $data );
        }
}
