<?php



namespace WpieApp\Core\Support;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Base {

        
        protected static function load( $dir = '', $prefix = '', $requiredVersion = '' ) {

                $path = realpath( __DIR__ . DIRECTORY_SEPARATOR . $dir );

                $fileList = Helper::getFilesystem()->dirlist( $path );

                if ( !Helper::isNonEmptyArray( $fileList ) ) {
                        return;
                }

                foreach ( array_keys( $fileList ) as $file ) {

                        $name = \basename( $file );

                        if ( strpos( $name, $prefix ) !== 0 ) {
                                continue;
                        }

                        $version = \substr( $name, strlen( $prefix ), -4 );

                        if ( version_compare( $requiredVersion, $version, '>' ) ) {
                                continue;
                        }

                        require_once $path . DIRECTORY_SEPARATOR . $file;
                }
        }
}
