<?php



namespace WpieApp\Core\Utils;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Cron {

        
        private static $isActive = null;

        
        const CRON_INTERVAL_TIME = 10;

        
        public static function isActive() {

                if ( is_null( self::$isActive ) ) {

                        $lastRun = ( int ) Helper::getOption( 'last-cron', 0 );

                        self::$isActive = $lastRun > 0 ? (time() - $lastRun ) < (self::CRON_INTERVAL_TIME * MINUTE_IN_SECONDS ) : false;
                }

                return self::$isActive;
        }

        
        public static function getLastRun() {

                return ( int ) Helper::getOption( 'last-cron', 0 );
        }

        
        public static function getToken() {

                $token = Helper::getOption( 'cron-token' );

                if ( !Helper::isNonEmptyStr( $token ) ) {
                        $token = time();
                        Helper::setOption( 'cron-token', $token );
                }

                return $token;
        }

        
        public static function getUrl() {
                return \add_query_arg( [ 'wpie-token' => self::getToken() ], \site_url( 'wp-cron.php' ) );
        }
}
