<?php



namespace WpieApp\Extensions\Export\Acf\Controller\Items\Base\DataCenters;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Acf {

        
        protected static $fieldId = '';

        
        public static function getData( $type = '', $id = 0, $key = '' ) {

                if ( Helper::isEmptyStr( $type ) ) {
                        return "";
                }

                $fieldId = self::getFieldId( $id );          

                \add_filter( 'acf/load_value', [ __CLASS__, 'updateValue' ], 9999, 3 );

                $data = \get_field( $key, $fieldId, false );

                \remove_filter( 'acf/load_value', [ __CLASS__, 'updateValue' ], 1 );

                return $data;
        }

        
        public static function getFieldId( $id = 0 ) {

                return Helper::isNonEmptyStr( static::$fieldId ) ? static::$fieldId . '_' . $id : $id;
        }

        
        public static function updateValue( $data, $postId, $field ) {

                $type = isset( $field[ 'type' ] ) ? $field[ 'type' ] : "";

                $key = isset( $field[ 'key' ] ) ? $field[ 'key' ] : "";

                if ( ContentField::isValidField( $type ) ) {
                        return ContentField::getData( $type, $data );
                }

                if ( ChoiceField::isValidField( $type ) ) {
                        return ChoiceField::getData( $type, $data );
                }

                if ( RelationalField::isValidField( $type ) ) {
                        return RelationalField::getData( $type, $data, $key, $postId );
                }

                if ( AdvancedField::isValidField( $type ) ) {
                        return AdvancedField::getData( $type, $data );
                }

                return $data;
        }

}
