<?php



namespace WpieApp\Extensions\Export\Polylang\View;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Extensions\Export\Polylang\Controller\Languages;

defined( 'WPIE__FILE__' ) || exit;


class Polylang {

        
        public static function get() {

                $languages = array_merge( [ '' => __( 'All', 'wp-import-export' ) ], Languages::get() );

                
                return \apply_filters(
                        'Wpie/Modules/Export/View/Setup/Polylang',
                        [
                                "title"        => __( 'Polylang', 'wp-import-export' ),
                                "desc"         => __( 'Manage Translation', 'wp-import-export' ),
                                "menuClass"    => 'wpie-polylang-menu',
                                "order"        => 15,
                                "pro-backdrop" => WPIE_PRO ? false : true,
                                "fields"       => [
                                        "languages" => [
                                                "order"      => 20,
                                                "label"      => __( 'Language Translation', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "variable-product" => [
                                                                "description" => __( 'Languages List. Default All', 'wp-import-export' ),
                                                                "class"       => "wpie-polylang-languages-option",
                                                                "type"        => "checkbox",
                                                                "name"        => "polylang/languages",
                                                                "default"     => array_keys( $languages ),
                                                                "choices"     => $languages,
                                                                "preHtml"     => self::getFlagList()
                                                        ]
                                                ],
                                        ],
                                ]
                        ]
                );
        }

        
        private static function getFlagList() {

                $flags = [];

                $languages = Languages::getList();

                foreach ( $languages as $lang ) {

                        $slug           = isset( $lang->slug ) ? $lang->slug : "";
                        $url            = isset( $lang->flag_url ) ? $lang->flag_url : "";
                        /* translators: %s: Image URL */
                        $flags[ $slug ] = sprintf( '<img class="wpie-polylang-flag-image me-2" src="%s"/>', esc_url( $url ) );
                }

                return $flags;
        }
}
