<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Coupon\DataCenters;

use WpieApp\Core\Utils\Date;
use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenter;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenters\Meta as PostMeta;

defined( 'WPIE__FILE__' ) || exit;


class Meta extends PostMeta {

        
        public static function processMeta( $key = '', $data = '' ) {

                switch ( $key ) {

                        case 'customer_email':
                                $data = Helper::isNonEmptyArray( $data ) ? Helper::arrTostr( $data ) : '';
                                break;
                        case 'product_categories':
                        case 'exclude_product_categories':
                                $data = Helper::isNonEmptyArray( $data ) ? self::getCategories( $data ) : '';
                                break;
                        case 'product_ids':
                        case 'exclude_product_ids':
                                $data = Helper::isNonEmptyStr( $data ) ? self::getProducts( $data ) : '';
                                break;
                        case 'date_expires':
                                $data = Helper::isNonEmptyStr( $data ) ? Date::get( $data, Date::DATEFORMAT ) : '';
                                break;
                }


                return $data;
        }

        
        public static function getProducts( $data = '' ) {

                $ids = Helper::strToArr( $data );

                $titles = [];

                foreach ( $ids as $id ) {
                        $titles[] = \get_post_field( 'post_name', $id );
                }

                return $titles;
        }

        
        public static function getCategories( $ids = '' ) {

                $slugs = [];

                foreach ( $ids as $id ) {
                        $slugs[] = \get_term_field( 'slug', $id, 'product_cat' );
                }

                return $slugs;
        }
}
