<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Coupon\Fields;

use WpieApp\Modules\Export\Controller\Items\Post\Fields\Meta as PostMeta;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class UsageRestriction implements InterfaceField {

        
        public static function get() {

                $fields = [
                        "title"    => \esc_html__( "Usage Restriction", 'wp-import-export' ),
                        "priority" => 20,
                        "data"     => [
                                [ 'label' => 'Minimum spend', 'type' => PostMeta::FIELD_TYPE, 'element' => 'minimum_amount' ],
                                [ 'label' => 'Maximum spend', 'type' => PostMeta::FIELD_TYPE, 'element' => 'maximum_amount' ],
                                [ 'label' => 'Individual use only', 'type' => PostMeta::FIELD_TYPE, 'element' => 'individual_use' ],
                                [ 'label' => 'Exclude sale items', 'type' => PostMeta::FIELD_TYPE, 'element' => 'exclude_sale_items' ],
                                [ 'label' => 'Products', 'type' => PostMeta::FIELD_TYPE, 'element' => 'product_ids', 'isFiltered' => false ],
                                [ 'label' => 'Exclude products', 'type' => PostMeta::FIELD_TYPE, 'element' => 'exclude_product_ids', 'isFiltered' => false ],
                                [ 'label' => 'Product categories', 'type' => PostMeta::FIELD_TYPE, 'element' => 'product_categories', 'isFiltered' => false ],
                                [ 'label' => 'Exclude categories', 'type' => PostMeta::FIELD_TYPE, 'element' => 'exclude_product_categories', 'isFiltered' => false ],
                                [ 'label' => 'Allowed emails', 'type' => PostMeta::FIELD_TYPE, 'element' => 'customer_email', 'isFiltered' => false ],
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Coupon/Fields/Usage/Restriction', $fields );
        }

}
