<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Customer\Fields;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Export\Controller\Items\User\Fields\Meta as UserMeta;

defined( 'WPIE__FILE__' ) || exit;


class Meta extends UserMeta implements InterfaceField {

        
        protected static function getExcludesMeta( $type = '' ) {

                $excludes = parent::getExcludesMeta( $type );

                $billing = Billing::getMeta();

                $shipping = Shipping::getMeta();

                $excludes = array_merge( $excludes, $billing, $shipping );

                
                $excludes = apply_filters( 'Wpie/Export/Customer/Fields/Meta/Excludes', $excludes, $type );

                return Helper::isNonEmptyArray( $excludes ) ? array_unique( $excludes ) : [];
        }

}
