<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Legacy;

use WpieApp\Modules\Export\Controller\Items\Post\Filter as PostFilter;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Legacy\Filters\Standard;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Legacy\Filters\Other;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Legacy\Filters\Customer;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Legacy\Filters\Taxonomy;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Legacy\Filters\Item;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Legacy\Filters\ProductMeta;

defined( 'WPIE__FILE__' ) || exit;


class Filter extends PostFilter {

        
        public static function addRule() {

                switch ( self::getOption( "type", "field" ) ) {

                        case 'standard':
                                Standard::addRule();
                        case 'other':
                                Other::addRule();
                                break;
                        case 'customer':
                                Customer::addRule();
                                break;
                        case 'product-taxonomy':
                        case 'attribute':
                                Taxonomy::addRule();
                                break;
                        case 'item':
                                Item::addRule();
                                break;
                        case 'product-meta':
                                ProductMeta::addRule();
                                break;
                }

                parent::addRule();

                
                \do_action( 'Wpie/Export/WooCommerce/Order/Filter/Add', self::getOption( "type", "field" ) );
        }
}
