<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filters\Tables;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filter;
use WpieApp\Modules\Export\Controller\Items\Base\Filters\Filter as BaseFilter;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Query\Stats;

defined( 'WPIE__FILE__' ) || exit;


class StatsTable extends BaseFilter {

        
        protected static $isJoinQueryAdded = false;

        
        public static function addRule() {

                $element = Filter::getOption( "element", "field" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return false;
                }

                $element = self::mapFields( $element );

                $condition = Filter::getOption( 'condition' );

                $data = Filter::getOption( 'value' );

                $field = Stats::getTableAlias() . "." . $element;

                $comparison = Filter::getOption( 'comparison' );

                $rule = Filter::bulidRule( $field, $data, $condition, $comparison );

                Filter::addWhere( $rule );

                self::addJoinQuery();
        }

        
        public static function addJoinQuery() {

                if ( self::$isJoinQueryAdded ) {
                        return;
                }

                self::$isJoinQueryAdded = true;

                Filter::addJoin( Stats::getJoin() );
        }

        
        private static function mapFields( $element ) {

                $mapping = [                     
                        'date_created' => 'date_created_gmt',
                        'total_items'  => 'num_items_sold',
                ];

                return str_replace( array_keys( $mapping ), array_values( $mapping ), $element );
        }
}
