<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Engine\Base;
use Automattic\WooCommerce\Internal\DataStores\Orders\OrdersTableDataStore;

defined( 'WPIE__FILE__' ) || exit;


class OrderQuery {

        
        private $clauses = [];

        
        private $idField = 'id';

        
        private $table = '';

        
        public function getResult( $clauses = [] ) {

                $defaults = [
                        'join'   => '',
                        'where'  => '',
                        'limits' => '',
                ];

                $clauses[ 'where' ] = isset( $clauses[ 'where' ] ) && Helper::isNonEmptyStr( $clauses[ 'where' ] ) ? $clauses[ 'where' ] : '1=1';

                $this->clauses = \array_replace( $defaults, $clauses );

                $this->table = OrdersTableDataStore::get_orders_table_name();

                if ( isset( $clauses[ 'count' ] ) && $clauses[ 'count' ] ) {
                        return $this->runCountQuery();
                }

                return $this->runQuery();
        }

        
        private function runQuery() {

                $selectField = $this->table . '.' . $this->idField;

                $field = $selectField;

                $orderby = 'ORDER BY ' . $selectField;

                $join = isset( $this->clauses[ 'join' ] ) ? $this->clauses[ 'join' ] : '';

                $where = isset( $this->clauses[ 'where' ] ) ? $this->clauses[ 'where' ] : '';

                $limit = isset( $this->clauses[ 'limit' ] ) ? $this->clauses[ 'limit' ] : '';

                $sql = "SELECT $field FROM $this->table $join WHERE $where $orderby $limit";

                return \array_map( 'absint', DB::wpdb()->get_col( $sql ) );
        }

        
        private function runCountQuery() {

                $selectField = $this->table . '.' . $this->idField;

                $field = "COUNT(DISTINCT $selectField)";

                $orderby = 'ORDER BY ' . $selectField;

                $join = isset( $this->clauses[ 'join' ] ) ? $this->clauses[ 'join' ] : '';

                $where = isset( $this->clauses[ 'where' ] ) ? $this->clauses[ 'where' ] : '';

                $sql = "SELECT $field FROM $this->table $join WHERE $where $orderby";
         
                return \absint( DB::wpdb()->get_var( $sql ) );
        }

}
