<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\DataCenters;

use WpieApp\Core\Utils\Date;
use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenter;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenters\Meta as PostMeta;

defined( 'WPIE__FILE__' ) || exit;


class Meta extends PostMeta {

        
        public static function processMeta( $key = '', $data = '' ) {

                switch ( $key ) {

                        case '_sale_price_dates_from':
                        case '_sale_price_dates_to':
                                $data  = Helper::isNonEmptyStr( $data ) ? Date::get( $data ) : '';
                                break;
                        case "downloadable_file_name":
                                $files = self::getMeta( "_downloadable_files", true );
                                $data  = self::getDownloadableFilesData( $files, "name" );
                                break;
                        case "_downloadable_files":
                                $data  = self::getDownloadableFilesData( $data, "file" );
                                break;
//                        case "_default_attributes":
//                                $attributes = self::getMeta( "_downloadable_files", true );
//                                $data       = Helper::isNonEmptyArray( $attributes ) ? Helper::jsonEncode( $attributes ) : '';
//                                break;
                        case '_crosssell_ids':
                        case '_upsell_ids':
                        case '_children':
                                $data  = self::getPostTitles( $data );
                                break;
                }


                return $data;
        }

        
        public static function getPostTitles( $postIds = [] ) {

                if ( !Helper::isNonEmptyArray( $postIds ) ) {
                        return "";
                }

                $data = [];

                foreach ( $postIds as $id ) {

                        $data[] = \get_the_title( $id );
                }

                return Helper::arrTostr( $data, '|~|' );
        }

        
        public static function getDownloadableFilesData( $files = [], $field = "" ) {

                if ( !Helper::isNonEmptyArray( $files ) ) {
                        return "";
                }

                $fileData = [];

                foreach ( $files as $file ) {

                        $fileData[] = isset( $file[ $field ] ) ? $file[ $field ] : "";
                }

                return Helper::arrTostr( $fileData );
        }
}
