<?php



namespace WpieApp\Extensions\Export\WooCommerce;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Extensions\Base\Middleware as BaseMiddleware;
use WpieApp\Extensions\Export\WooCommerce\Controller\WcTypes;
use WpieApp\Extensions\Export\WooCommerce\View\Manager as View;
use WpieApp\Extensions\Export\WooCommerce\Controller\Manager as Controller;

defined( 'WPIE__FILE__' ) || exit;


class Middleware extends BaseMiddleware {

        
        protected $requiredPlugins = [ "WooCommerce" => '3.4' ];

        
        public function boot() {

                I10n::init();

                WcTypes::init();

                View::init();

                Controller::init();
        }

        
        protected function getAssets() {

                return [
                        'scripts' => [
                                Helper::PLUGIN_PREFIX . 'wc' => [
                                        "src"  => WPIE_EXTENSIONS_URL . '/Export/WooCommerce/assets/js/wc.js',
                                        "deps" => [ 'jquery', Helper::PLUGIN_PREFIX . 'admin', Helper::PLUGIN_PREFIX . 'export' ],
                                ],
                        ]
                ];
        }
}
