<?php



namespace WpieApp\Extensions\Export\WooCommerce\View;

use WpieApp\Modules\Export\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Product {

        
        public static function get() {
                
                return \apply_filters(
                        'Wpie/Modules/Export/View/Setup/WcProduct',
                        [
                                "title"     => __( 'Product', 'wp-import-export' ),
                                "desc"      => __( 'Manage Product', 'wp-import-export' ),
                                "menuClass" => 'wpie-wc-product-menu d-none',
                                "order"     => 60,
                                "fields"    => [
                                        "variable-product" => [
                                                "order"      => 20,
                                                "label"      => __( 'Variable Product', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "variable-product" => [
                                                                "description" => __( 'Include Product / Variation in Export. Applied Only on product type Variable / Variation', 'wp-import-export' ),
                                                                "class"       => "wpie-product-export-option",
                                                                "type"        => "checkbox",
                                                                "name"        => "wc/product/data",
                                                                "default"     => [ 'product', 'variation' ],
                                                                "choices"     => [
                                                                        "product"   => __( "Product Data", 'wp-import-export' ),
                                                                        "variation" => __( "Variation Data", 'wp-import-export' ),
                                                                ]
                                                        ]
                                                ],
                                        ],
                                ]
                        ]
                );
        }

}
