<?php



namespace WpieApp\Extensions\Export\YoastSeo\Controller\Items\Post\Fields;

use WPSEO_Video_Utils;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Post\Fields\Meta as PostMeta;

defined( 'WPIE__FILE__' ) || exit;


class Video {

        
        public static function get() {

                if ( !self::isVideoseoActiveForPosttype() ) {
                        return [];
                }

                return [
                        //General
                        [ 'label' => 'SEO Video: Thumbnail', 'type' => PostMeta::FIELD_TYPE, 'element' => '_yoast_wpseo_videositemap-thumbnail' ],
                        [ 'label' => 'SEO Video: Duration', 'type' => PostMeta::FIELD_TYPE, 'element' => '_yoast_wpseo_videositemap-duration' ],
                        [ 'label' => 'SEO Video: Tags', 'type' => PostMeta::FIELD_TYPE, 'element' => '_yoast_wpseo_videositemap-tags' ],
                        [ 'label' => 'SEO Video: Mark this video as not family friendly', 'type' => PostMeta::FIELD_TYPE, 'element' => '_yoast_wpseo_videositemap-not-family-friendly' ],
                        [ 'label' => 'SEO Video: Rating', 'type' => PostMeta::FIELD_TYPE, 'element' => '_yoast_wpseo_videositemap-rating' ],
                        [ 'label' => 'SEO Video: Meta', 'type' => PostMeta::FIELD_TYPE, 'element' => '_yoast_wpseo_video_meta' ],
                ];
        }

        
        public static function isVideoseoActiveForPosttype() {

                if ( !class_exists( '\WPSEO_Video_Utils' ) ) {
                        return false;
                }

                return WPSEO_Video_Utils::is_videoseo_active_for_posttype( Settings::getContentType() );
        }
}
