<?php



namespace WpieApp\Extensions\Export\YoastSeo\Controller\Items\User\DataCenters;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\User\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Schema {

        
        private static $data = [];

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return "";
                }

                $key = Helper::leftTrim( $element, 'schema-' );

                self::setData();

                $userId = DataCenter::getId();

                $val = isset( self::$data[ $userId ][ $key ] ) ? self::$data[ $userId ][ $key ] : "";

                return is_array( $val ) ? Helper::arrTostr( $val ,', ') : $val;
        }

        
        private static function setData() {

                $userId = DataCenter::getId();

                if ( isset( self::$data[ $userId ] ) ) {
                        return;
                }

                self::$data = [ $userId => \get_user_meta( $userId, 'wpseo_user_schema', true ) ];
        }

}
