<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Twitter\Title;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Twitter\Description;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Twitter\ImageType;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Twitter\CardType;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Twitter\UseFacebook;

defined( 'WPIE__FILE__' ) || exit;


class Twitter implements InterfaceField {

        
        protected static $type = 'post';

        
        public static function get() {
                return [
                        "label"        => __( 'All In One SEO - Twitter', 'wp-import-export' ),
                        "class"        => "wpie-allinoneseo-twitter-fields",
                        "order"        => 32.2,
                        "pro-backdrop" => WPIE_PRO ? false : true,
                        "blocks"       => static::getFields()
                ];
        }

        
        protected static function getFields() {

                return [
                        "allinoneseo/twitter/use_og"      => UseFacebook::getBlocks(),
                        "allinoneseo/twitter/title"       => Title::getBlocks(),
                        "allinoneseo/twitter/description" => Description::getBlocks(),
                        "allinoneseo/twitter/image_type"  => ImageType::getBlocks( static::$type ),
                        "allinoneseo/twitter/card"        => CardType::getBlocks(),
                ];
        }
}
