<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Post\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Logger;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Schema {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( 'allinoneseo/schema/schema' ) ) {

                        $data[ "schema" ] = self::getSchema();
                }

                
                return \apply_filters( 'Wpie/Import/Post/Engines/AllInOneSeo/Schema', $data, Settings::getContentType() );
        }

        
        private static function getSchema() {

                $data = DataCenter::get( "allinoneseo/schema/schema/data" );

                if ( !Helper::isNonEmptyStr( $data ) ) {

                        return [];
                }

                $schema = Helper::jsonDecode( $data, true );

                if ( \is_wp_error( $schema ) ) {

                        Logger::log( "<strong>" . __( "ERROR", 'wp-import-export' ) . "</strong> : " . $schema->get_error_message() );

                        return [];
                }

                return $schema;
        }
}
