<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Post\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\General as Base;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Post\Fields\General\FocusKeyphrase;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Post\Fields\General\CornerstoneContent;

defined( 'WPIE__FILE__' ) || exit;


class General extends Base implements InterfaceField {

        
        public static function get() {
                
                return \apply_filters( 'Wpie/Import/Post/Fields/AllInOneSeo/General', parent::get(), Settings::getContentType() );
        }

        
        protected static function getFields() {

                return \array_merge(
                        parent::getFields(),
                        [
                                "allinoneseo/general/keyphrases"     => FocusKeyphrase::getBlocks(),
                                "allinoneseo/general/pillar_content" => CornerstoneContent::getBlocks(),
                        ]
                );
        }
}
