<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller;

use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Post\Manager as Post;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Term\Manager as Term;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User\Manager as User;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function init() {

                \add_action( 'Wpie/Import/Post/Init', [ __CLASS__, 'initPost' ] );

                \add_action( 'Wpie/Import/Term/Init', [ __CLASS__, 'initTerm' ] );

                \add_action( 'Wpie/Import/User/Init', [ __CLASS__, 'initUser' ] );
        }

        
        public static function initPost( $contentType = '' ) {

                if ( !in_array( $contentType, \aioseo()->helpers->getPublicPostTypes( true ) ) ) {
                        return;
                }

                Post::init();
        }

        
        public static function initTerm( $contentType = '' ) {

                if ( !\aioseo()->pro || !class_exists( "AIOSEO\Plugin\Pro\Models\Term" ) || !in_array( $contentType, \aioseo()->helpers->getPublicTaxonomies( true ) ) ) {
                        return;
                }

                Term::init();
        }

        
        public static function initUser( $contentType = '' ) {

                User::init();
        }
}
