<?php



namespace WpieApp\Extensions\Import\Polylang\Controller;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Extensions\Import\Polylang\Controller\Items\Post\Manager as Post;
use WpieApp\Extensions\Import\Polylang\Controller\Items\Term\Manager as Term;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function init() {

                \add_action( 'Wpie/Import/Post/Init', [ __CLASS__, 'initPost' ] );

                \add_action( 'Wpie/Import/Term/Init', [ __CLASS__, 'initTerm' ] );
        }

        
        public static function initPost( $contentType = '' ) {

                if ( !defined( 'PLLWC_VERSION' ) && 'wc' === Settings::get( 'category' ) ) {
                        return;
                }
                if ( !\pll_is_translated_post_type( $contentType ) ) {
                        return;
                }

                Post::init();
        }

        
        public static function initTerm( $contentType = '' ) {

                if ( !defined( 'PLLWC_VERSION' ) && 'wc' === Settings::get( 'category' ) ) {
                        return;
                } elseif ( 'attribute' === $contentType && 'wc' === Settings::get( 'category' ) ) {
                        
                } elseif ( !\pll_is_translated_taxonomy( $contentType ) ) {
                        return;
                }

                Term::init();
        }
}
