<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Engines;

use RankMath\Redirections\Cache;
use RankMath\Redirections\Metabox;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Redirection {

        
        public static function update( $objectType = 'post', $sources = '' ) {

                if ( !DataCenter::canUpdate( 'rankmathseo/advanced/redirection' ) ) {
                        return;
                }

                $type = Helper::autoFixStr( DataCenter::get( 'rankmathseo/advanced/redirection_type/data' ), [ '301', '302', '307', '410', '451' ] );

                if ( DataCenter::isNewItem() && !is_numeric( $type ) ) {
                        return;
                }

                $status = Helper::detectBoolVal( DataCenter::get( 'rankmathseo/advanced/redirection/data' ) );

                $cache = Cache::get_by_object_id( DataCenter::getId(), $objectType );

                $cmb               = new \stdClass();
                $cmb->object_id    = DataCenter::getId();
                $cmb->object_type  = $objectType;
                $cmb->data_to_save = [
                        'has_redirect'                 => $status,
                        'redirection_id'               => \is_object( $cache ) && isset( $cache->redirection_id ) ? \absint( $cache->redirection_id ) : '',
                        'redirection_url_to'           => DataCenter::get( 'rankmathseo/advanced/destination_url/data' ),
                        'redirection_sources'          => \str_replace( \home_url( '/' ), '', $sources ),
                        'redirection_header_code'      => \is_numeric( $type ) ? $type : '301',
                        'rank_math_enable_redirection' => (false === $status ) ? 'off' : 'on'
                ];

                if ( false === $status ) {
                        unset( $cmb->data_to_save[ 'redirection_url_to' ] );
                }

                if ( empty( $cmb->data_to_save[ 'redirection_id' ] ) ) {
                        unset( $cmb->data_to_save[ 'redirection_id' ] );
                }

                $metabox = new Metabox();
                $metabox->save_advanced_meta( $cmb );

                unset( $cache, $status, $type, $metabox, $cmb );
        }
}
