<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Twitter {

        
        public static function get() {

                $data = self::getCardTypes();

                if ( DataCenter::canUpdate( 'rankmathseo/twitter/use_facebook' ) ) {
                        $data[ "twitter_use_facebook" ] = ( Helper::detectBoolVal( DataCenter::get( "rankmathseo/twitter/use_facebook/data" ) ) !== false ) ? 'on' : 'off';
                }

                if ( DataCenter::canUpdate( 'rankmathseo/twitter/title' ) ) {
                        $data[ "twitter_title" ] = DataCenter::get( "rankmathseo/twitter/title/data" );
                }

                if ( DataCenter::canUpdate( 'rankmathseo/twitter/description' ) ) {
                        $data[ "twitter_description" ] = DataCenter::get( "rankmathseo/twitter/description/data" );
                }
                if ( DataCenter::canUpdate( 'rankmathseo/twitter/image' ) ) {
                        $data[ "twitter_image" ] = DataCenter::get( "rankmathseo/twitter/image/data" );
                }
                if ( DataCenter::canUpdate( 'rankmathseo/twitter/enable_image_overlay' ) ) {

                        $val = DataCenter::get( "rankmathseo/twitter/enable_image_overlay/data" );

                        $data[ "twitter_enable_image_overlay" ] = (Helper::detectBoolVal( $val ) === true ? 'on' : 'off' );
                }
                if ( DataCenter::canUpdate( 'rankmathseo/twitter/image_overlay' ) ) {
                        $val                             = DataCenter::get( "rankmathseo/twitter/image_overlay/data" );
                        $data[ "twitter_image_overlay" ] = Helper::autoFixStr( $val, [ 'play', 'gif' ] );
                }
                if ( DataCenter::canUpdate( 'rankmathseo/twitter/card_type' ) ) {
                        $val                         = DataCenter::get( "rankmathseo/twitter/card_type/data" );
                        $data[ "twitter_card_type" ] = Helper::autoFixStr( $val, [ 'summary_large_image', 'summary_card', 'app', 'player' ] );
                }

                return $data;
        }

        
        private static function getCardTypes() {

                $fields = [
                        'app_description', 'app_iphone_name', 'app_iphone_id', 'app_iphone_url', 'app_ipad_name', 'app_ipad_id', 'app_ipad_url',
                        'app_googleplay_name', 'app_googleplay_id', 'app_googleplay_url', 'app_country', 'player_url', 'player_size', 'player_stream',
                        'player_stream_ctype'
                ];

                $data = [];

                foreach ( $fields as $field ) {

                        if ( !DataCenter::canUpdate( 'rankmathseo/twitter/' . $field ) ) {
                                continue;
                        }

                        $data[ 'twitter_' . $field ] = DataCenter::get( 'rankmathseo/twitter/' . $field . '/data' );
                }

                return $data;
        }
}
