<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller;

use RankMath\Helper as RankMathHelper;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Post\Manager as Post;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Term\Manager as Term;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\User\Manager as User;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function init() {

                \add_action( 'Wpie/Import/Post/Init', [ __CLASS__, 'initPost' ] );

                \add_action( 'Wpie/Import/Term/Init', [ __CLASS__, 'initTerm' ] );

                \add_action( 'Wpie/Import/User/Init', [ __CLASS__, 'initUser' ] );
        }

        
        public static function initPost( $contentType = '' ) {

                if ( !in_array( $contentType, RankMathHelper::get_allowed_post_types() ) ) {
                        return;
                }

                Post::init();
        }

        
        public static function initTerm( $contentType = '' ) {

                if ( !in_array( $contentType, RankMathHelper::get_allowed_taxonomies() ) ) {
                        return;
                }

                Term::init();
        }

        
        public static function initUser( $contentType = '' ) {

                User::init();
        }
}
