<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\UsageRestriction\MinimumSpend;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\UsageRestriction\MaximumSpend;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\UsageRestriction\IndividualUse;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\UsageRestriction\ExcludeSaleItems;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\UsageRestriction\Products;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\UsageRestriction\ExcludeProducts;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\UsageRestriction\ProductCategories;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\UsageRestriction\ExcludeProductCategories;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\UsageRestriction\AllowedEmails;

defined( 'WPIE__FILE__' ) || exit;


class UsageRestriction implements InterfaceField {

        
        public static function get() {

                return [
                        "label"  => __( 'Usage Restriction', 'wp-import-export' ),
                        "class"  => "wpie-usage-restriction-fields",
                        "order"  => 20,
                        "blocks" => [
                                "restriction/minimum_amount"             => MinimumSpend::getBlocks(),
                                "restriction/maximum_amount"             => MaximumSpend::getBlocks(),
                                "restriction/individual_use"             => IndividualUse::getBlocks(),
                                "restriction/exclude_sale_items"         => ExcludeSaleItems::getBlocks(),
                                "restriction/products"                   => Products::getBlocks(),
                                "restriction/exclude_products"           => ExcludeProducts::getBlocks(),
                                "restriction/product_categories"         => ProductCategories::getBlocks(),
                                "restriction/exclude_product_categories" => ExcludeProductCategories::getBlocks(),
                                "restriction/customer_email"             => AllowedEmails::getBlocks(),
                        ]
                ];
        }

}
