<?php


namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\User\AutoDetect as Base;

defined( 'WPIE__FILE__' ) || exit;


class AutoDetect extends Base {

        
        protected static function processField( $field = '' ) {

                parent::processField( $field );
                
                static::updateBilling( $field );

                static::updateShipping( $field );
        }

        
        protected static function updateBilling( $field = "" ) {

                 $fields = [
                        'billingfirstname' => 'first_name',
                        'billinglastname'  => 'last_name',
                        'billingcompany'   => 'company',
                        'billingaddress1'  => 'address_1',
                        'billingaddress2'  => 'address_2',
                        'billingcity'      => 'city',
                        'billingpostcode'  => 'postcode',
                        'billingcountry'   => 'country',
                        'billingstate'     => 'state',
                        'billingemail'     => 'email',
                        'billingphone'     => 'phone',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'billing/' . $fields[ $field ], $field );
        }

        
        protected static function updateShipping( $field = "" ) {

                $fields = [
                        'shippingfirstname' => 'first_name',
                        'shippinglastname'  => 'last_name',
                        'shippingcompany'   => 'company',
                        'shippingaddress1'  => 'address_1',
                        'shippingaddress2'  => 'address_2',
                        'shippingcity'      => 'city',
                        'shippingpostcode'  => 'postcode',
                        'shippingcountry'   => 'country',
                        'shippingstate'     => 'state',
                        'shippingemail'     => 'email',
                        'shippingphone'     => 'phone',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'shipping/' . $fields[ $field ], $field );
        }
}
