<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Shipping\FirstName;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Shipping\LastName;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Shipping\Company;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Shipping\Address1;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Shipping\Address2;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Shipping\City;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Shipping\Postcode;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Shipping\Country;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Shipping\State;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Shipping\Phone;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Shipping\Options;

defined( 'WPIE__FILE__' ) || exit;


class Shipping implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/Customer/Fields/Shipping', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Shipping Address', 'wp-import-export' ),
                        "class"  => "wpie-wc-shipping-fields",
                        "order"  => 25,
                        "blocks" => [
                                "shipping/options"    => Options::getBlocks(),
                                "shipping/first_name" => FirstName::getBlocks(),
                                "shipping/last_name"  => LastName::getBlocks(),
                                "shipping/company"    => Company::getBlocks(),
                                "shipping/address_1"  => Address1::getBlocks(),
                                "shipping/address_2"  => Address2::getBlocks(),
                                "shipping/city"       => City::getBlocks(),
                                "shipping/postcode"   => Postcode::getBlocks(),
                                "shipping/country"    => Country::getBlocks(),
                                "shipping/state"      => State::getBlocks(),
                                "shipping/phone"      => Phone::getBlocks()
                        ]
                ];
        }
}
