<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines;

use WpieApp\Core\Utils\Date;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\DataCenter;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines\Items\Download as DownloadItem;

defined( 'WPIE__FILE__' ) || exit;


class Download extends ItemBase {

        
        protected static $type = 'download';

        
        protected static function parepare() {
                self::parepareData( 'id' );
                self::parepareData( 'product' );
                self::parepareData( 'file' );
                self::parepareData( 'remaining' );
                self::parepareData( 'access-granted' );
                self::parepareData( 'access-expires' );
                self::parepareData( 'count' );
                self::parepareJSONData( 'log' );
        }

        
        protected static function processItem( $index = 0 ) {

                $item = [
                        'download-id'    => self::getData( 'id', $index ),
                        'product'        => self::getData( 'product', $index ),
                        'file'           => self::getData( 'file', $index ),
                        'remaining'      => self::getData( 'remaining', $index ),
                        'access-granted' => self::getData( 'access-granted', $index ),
                        'access-expires' => self::getData( 'access-expires', $index ),
                        'count'          => self::getData( 'count', $index ),
                        'log'            => self::getData( 'log', $index ),
                ];

                DownloadItem::set( $item );
        }
}
