<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines;

use WpieApp\Core\Utils\Date;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\DataCenter;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines\Items\Notes as NotesItem;

defined( 'WPIE__FILE__' ) || exit;


class Notes extends ItemBase {

        
        protected static $type = 'note';

        
        protected static $notes = [];

        
        protected static function parepare() {

                self::removeAutoAdded();

                self::parepareData( 'content' );
                self::parepareData( 'date' );
                self::parepareData( 'visibility' );
                self::parepareData( 'user' );
        }

        
        protected static function processItem( $index = 0 ) {

                $item = [
                        'content'          => self::getData( 'content', $index ),
                        'date'             => self::getData( 'date', $index ),
                        'is_customer_note' => ('customer' === self::getData( 'visibility', $index )),
                        'user'             => self::getData( 'user', $index ),
                ];

                NotesItem::set( $item );
        }

        
        public static function Log() {

                self::$notes = [];

                if ( DataCenter::isNewItem() ) {
                        return;
                }

                // Delete order notes 
                $notes = \wc_get_order_notes( [ 'order_id' => DataCenter::getId() ] );

                if ( !Helper::isNonEmptyArray( $notes ) ) {
                        return;
                }

                foreach ( $notes as $note ) {
                        self::$notes[] = $note->id;
                }
        }

        
        public static function removeAutoAdded() {

                // Delete order notes 
                $notes = \wc_get_order_notes( [ 'order_id' => DataCenter::getId() ] );

                if ( !Helper::isNonEmptyArray( $notes ) ) {
                        return;
                }

                foreach ( $notes as $note ) {

                        if ( Helper::isNonEmptyArray( self::$notes ) && in_array( $note->id, self::$notes ) ) {
                                continue;
                        }
                        \wc_delete_order_note( $note->id );
                }
        }
}
