<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Payment {

        
        public static function update() {

                self::updateMethod();

                if ( DataCenter::canUpdate( "payment/currency" ) ) {
                        DataCenter::getItem()->set_currency( DataCenter::get( "payment/currency/data" ) );
                }

                if ( DataCenter::canUpdate( "payment/transaction-id" ) ) {
                        DataCenter::getItem()->set_transaction_id( DataCenter::get( "payment/transaction-id/data" ) );
                }
        }

        
        private static function updateMethod() {

                if ( !DataCenter::canUpdate( "payment/method" ) ) {
                        return;
                }

                $method = DataCenter::get( "payment/method/data" );

                if ( !Helper::isNonEmptyStr( $method ) ) {
                        return;
                }

                $gateways = WC()->payment_gateways->payment_gateways();

                $title = '';
                $id    = '';

                foreach ( $gateways as $gateway ) {
                        if ( $method === $gateway->id || $method === $gateway->title ) {
                                $title = $gateway->title;
                                $id    = $gateway->id;
                                break;
                        }
                }

                DataCenter::getItem()->set_payment_method( $id );
                DataCenter::getItem()->set_payment_method_title( $title );
        }

}
