<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Fee\Options;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Fee\Name;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Fee\Amount;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Fee\Tax;

defined( 'WPIE__FILE__' ) || exit;


class Fee implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/WooCommerce/Order/Fields/Fee', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Fee', 'wp-import-export' ),
                        "class"  => "wpie-fee-fields",
                        "order"  => 70,
                        "blocks" => [
                                "fee/options" => Options::getBlocks(),
                                "fee/name"    => Name::getBlocks(),
                                "fee/amount"  => Amount::getBlocks(),
                                "fee/tax"     => Tax::getBlocks(),
                        ]
                ];
        }

}
