<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Payment\Method;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Payment\Currency;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Payment\TransactionId;

defined( 'WPIE__FILE__' ) || exit;


class Payment implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/WooCommerce/Order/Fields/Payment', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Payment', 'wp-import-export' ),
                        "class"  => "wpie-payment-fields",
                        "order"  => 30,
                        "blocks" => [
                                "payment/method"         => Method::getBlocks(),
                                "payment/currency"       => Currency::getBlocks(),
                                "payment/transaction-id" => TransactionId::getBlocks(),
                        ]
                ];
        }

}
