<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Standard\Key;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Standard\OrderNumber;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Standard\Date;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Standard\DateCompleted;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Standard\Status;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Standard\Total;

defined( 'WPIE__FILE__' ) || exit;


class Standard implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/WooCommerce/Order/Fields/Standard', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'General', 'wp-import-export' ),
                        "class"  => "wpie-general-fields",
                        "order"  => 10,
                        "blocks" => [
                                "standard/key"            => Key::getBlocks(),
                                "standard/order-number"   => OrderNumber::getBlocks(),
                                "standard/date"           => Date::getBlocks(),
                                "standard/date-completed" => DateCompleted::getBlocks(),
                                "standard/status"         => Status::getBlocks(),
                                "standard/total"          => Total::getBlocks(),
                        ]
                ];
        }
}
