<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Attributes\Attribute;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Attributes\DefaultAttribute;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Attributes\Options;

defined( 'WPIE__FILE__' ) || exit;


class Attributes implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/Product/Fields/Attributes', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Attributes', 'wp-import-export' ),
                        "class"  => "wpie-wc-attributes-fields",
                        "order"  => 12.07,
                        "blocks" => [
                                "attributes/attribute" => Attribute::getBlocks(),
                                "attributes/default"   => DefaultAttribute::getBlocks(),
                                "attributes/options"   => Options::getBlocks(),
                        ]
                ];
        }
}
