<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Attributes;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Attribute {

        
        public static function getBlocks() {

                $description = __( 'yes, no, true, false, 0, 1 values are supported', 'wp-import-export' );

                return [
                        "title"    => __( 'Attributes', 'wp-import-export' ),
                        "desc"     => __( 'Product Attributes', 'wp-import-export' ),
                        "order"    => 10,
                        "isActive" => true,
                        "fields"   => [
                                "attribute"     => [
                                        "order"      => 10,
                                        "label"      => __( 'Product Attributes', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "attribute" => [
                                                        "field-class" => "wpie-wc-attribute-container",
                                                        "type"        => "blank",
                                                        "order"       => 5,
                                                ]
                                        ],
                                ],
                                "slug"          => [
                                        "order"         => 20,
                                        "wrapper-class" => "wpie-wc-attribute-advanced-container mt-3",
                                        "wrapper-col"   => "col-12 col-md-6",
                                        "label"         => __( 'Slug', 'wp-import-export' ),
                                        "sub-fields"    => [
                                                "slug" => [
//                                                        "description"   => __( 'Slug', 'wp-import-export' ),
                                                        "name"          => "fields/attribute/slug/data",
                                                        "type"          => "radio",
                                                        "class"         => "wpie-attribute-slug",
                                                        "default"       => "auto",
                                                        "choices"       => [
                                                                'auto'         => __( 'Auto', 'wp-import-export' ),
                                                                'as_specified' => __( "As specified", 'wp-import-export' ),
                                                        ],
                                                        "hints"         => [
                                                                "as_specified" => __( 'Custom Slug specified by you', 'wp-import-export' ),
                                                        ],
                                                        "choices-class" => [
                                                                "auto"         => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "slug-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "as-specified" => [
                                                                                                "description" => __( 'Default : auto generated.', 'wp-import-export' ),
                                                                                                "class"       => "wpie-attribute-slug-as-specified",
                                                                                                "name"        => "fields/attribute/slug/data_as_specified",
                                                                                                "order"       => 10,
                                                                                                "type"        => "textarea",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ],
                                        ],
                                ],
                                "in_variations" => [
                                        "order"         => 30,
                                        "wrapper-class" => "wpie-wc-attribute-advanced-container mt-3",
                                        "wrapper-col"   => "col-12 col-md-6",
                                        "label"         => __( 'Used for variations?', 'wp-import-export' ),
                                        "sub-fields"    => [
                                                "in_variations" => [
//                                                        "description"   => __( 'Used for variations?', 'wp-import-export' ),
                                                        "name"          => "fields/attribute/in_variations/data",
                                                        "type"          => "radio",
                                                        "class"         => "wpie-attribute-in-variations",
                                                        "default"       => "yes",
                                                        "choices"       => [
                                                                'yes'          => __( 'Yes', 'wp-import-export' ),
                                                                'no'           => __( 'No', 'wp-import-export' ),
                                                                'as_specified' => __( "As specified", 'wp-import-export' ),
                                                        ],
                                                        "hints"         => [
                                                                "as_specified" => __( 'Custom Options specified by you', 'wp-import-export' ),
                                                        ],
                                                        "choices-class" => [
                                                                "yes"          => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "in_variations-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "as-specified" => [
                                                                                                "description" => $description,
                                                                                                "class"       => "wpie-attribute-in-variations-as-specified",
                                                                                                "order"       => 10,
                                                                                                "type"        => "textarea",
                                                                                                "name"        => "fields/attribute/in_variations/data_as_specified",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ],
                                        ],
                                ],
                                "is_visible"    => [
                                        "order"         => 40,
                                        "wrapper-class" => "wpie-wc-attribute-advanced-container mt-3",
                                        "wrapper-col"   => "col-12 col-md-6",
                                        "label"         => __( 'Is Visible?', 'wp-import-export' ),
                                        "sub-fields"    => [
                                                "is_visible" => [
//                                                        "description"   => __( 'Is Visible?', 'wp-import-export' ),
                                                        "name"          => "fields/attribute/is_visible/data",
                                                        "class"         => "wpie-attribute-is-visible",
                                                        "type"          => "radio",
                                                        "default"       => "yes",
                                                        "choices"       => [
                                                                'yes'          => __( 'Yes', 'wp-import-export' ),
                                                                'no'           => __( 'No', 'wp-import-export' ),
                                                                'as_specified' => __( "As specified", 'wp-import-export' ),
                                                        ],
                                                        "hints"         => [
                                                                "as_specified" => __( 'Custom Options specified by you', 'wp-import-export' ),
                                                        ],
                                                        "choices-class" => [
                                                                "yes"          => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "is-visible-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "as-specified" => [
                                                                                                "description" => $description,
                                                                                                "class"       => "wpie-attribute-is-visible-as-specified",
                                                                                                "order"       => 10,
                                                                                                "type"        => "textarea",
                                                                                                "name"        => "fields/attribute/is_visible/data_as_specified",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ],
                                        ],
                                ],
                                "is_taxonomy"   => [
                                        "order"         => 50,
                                        "wrapper-class" => "wpie-wc-attribute-advanced-container mt-3",
                                        "wrapper-col"   => "col-12 col-md-6",
                                        "label"         => __( 'Is Taxonomy?', 'wp-import-export' ),
                                        "sub-fields"    => [
                                                "is_taxonomy" => [
//                                                        "description"   => __( 'Is Taxonomy?', 'wp-import-export' ),
                                                        "name"          => "fields/attribute/is_taxonomy/data",
                                                        "type"          => "radio",
                                                        "class"         => "wpie-attribute-is-taxonomy",
                                                        "default"       => "yes",
                                                        "choices"       => [
                                                                'yes'          => __( 'Yes', 'wp-import-export' ),
                                                                'no'           => __( 'No', 'wp-import-export' ),
                                                                'as_specified' => __( "As specified", 'wp-import-export' ),
                                                        ],
                                                        "hints"         => [
                                                                "as_specified" => __( 'Custom Options specified by you', 'wp-import-export' ),
                                                        ],
                                                        "choices-class" => [
                                                                "yes"          => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "is-taxonomy-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "as-specified" => [
                                                                                                "description" => $description,
                                                                                                "class"       => "wpie-attribute-is-taxonomy-as-specified",
                                                                                                "order"       => 10,
                                                                                                "type"        => "textarea",
                                                                                                "name"        => "fields/attribute/is_taxonomy/data_as_specified",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ],
                                        ],
                                ],
                                "position"      => [
                                        "order"         => 70,
                                        "wrapper-class" => "wpie-wc-attribute-advanced-container mt-3",
                                        "wrapper-col"   => "col-12 col-md-6",
                                        "label"         => __( 'Position', 'wp-import-export' ),
                                        "sub-fields"    => [
                                                "position" => [
                                                        "name"          => "fields/attribute/position/data",
                                                        "type"          => "radio",
                                                        "class"         => "wpie-attribute-position",
                                                        "default"       => "auto",
                                                        "choices"       => [
                                                                'auto'         => __( 'Auto', 'wp-import-export' ),
                                                                'as_specified' => __( "As specified", 'wp-import-export' ),
                                                        ],
                                                        "hints"         => [
                                                                "as_specified" => __( 'Custom Position specified by you', 'wp-import-export' ),
                                                        ],
                                                        "choices-class" => [
                                                                "auto"         => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "position-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "as-specified" => [
                                                                                                "description" => __( 'Default : auto', 'wp-import-export' ),
                                                                                                "class"       => "wpie-attribute-position-as-specified",
                                                                                                "name"        => "fields/attribute/position/data_as_specified",
                                                                                                "order"       => 10,
                                                                                                "type"        => "textarea",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ],
                                        ],
                                ],
                                "separator"     => [
                                        "order"         => 80,
                                        "wrapper-class" => "wpie-wc-attribute-advanced-container mt-3",
                                        "wrapper-col"   => "col-12 col-md-6",
                                        "label"         => __( 'Multiple values separated by', 'wp-import-export' ),
                                        "sub-fields"    => [
                                                "position" => [
                                                        "description" => __( 'Default : ||', 'wp-import-export' ),
                                                        "class"       => "wpie-attribute-separator",
                                                        "name"        => "fields/attribute/separator/data",
                                                        "order"       => 10,
                                                        "value"       => ",",
                                                        "type"        => "text",
                                                ],
                                        ],
                                ],
                        ]
                ];
        }
}
