<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Variation;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Method {

        
        public static function getBlocks() {

                $imageDirUrl = WPIE_EXTENSIONS_URL . '/Import/WooCommerce/assets/Images/';

                return [
                        "title"         => __( 'Method', 'wp-import-export' ),
                        "desc"          => __( 'Variation Method', 'wp-import-export' ),
                        "order"         => 10,
                        "isRecommended" => true,
                        "isActive"      => true,
                        "fields"        => [
                                "item-title" => [
                                        "order"      => 10,
                                        "label"      => __( 'Variation Add/Update Method', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "method" => [
                                                        "description" => __( 'Variation Add/Update Method', 'wp-import-export' ),
                                                        "name"        => "fields/variation/method/option",
                                                        "type"        => "radio",
                                                        "default"     => "attribute",
                                                        "choices"     => [
                                                                "attribute"          => __( 'Create variations from all attributes', 'wp-import-export' ),
                                                                "parent-child"       => __( 'Detected Parent and Child Fields', 'wp-import-export' ),
                                                                "parent-child-group" => __( 'Detected Parent and Child Group Fields', 'wp-import-export' ),
                                                                "child-group"        => __( 'Detected Child Group Fields', 'wp-import-export' ),
                                                        ],
                                                        "hints"       => [
                                                                "attribute"          => __( 'This will create a new variation for each and every possible combination of variation attributes', 'wp-import-export' ),
                                                                "parent-child"       => __( 'Each variation is linked to its parent', 'wp-import-export' ),
                                                                "parent-child-group" => __( 'Product and variations have same data', 'wp-import-export' ),
                                                                "child-group"        => __( 'Product and variations have same data but There are no parent product', 'wp-import-export' ),
                                                        ],
                                                        "fields"      => [
                                                                "attribute"          => [
                                                                        "image" => [
                                                                                "order"      => 10,
                                                                                "sub-fields" => [
                                                                                        "image" => [
                                                                                                "src"    => $imageDirUrl . 'attributes.png',
                                                                                                "alt"    => __( 'Create variations from all attributes', 'wp-import-export' ),
                                                                                                "height" => "auto",
                                                                                                "width"  => "auto",
                                                                                                "class"  => "border rounded-1",
                                                                                                "order"  => 10,
                                                                                                "type"   => "image",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ],
                                                                "parent-child"       => [
                                                                        "parent" => [
                                                                                "order"      => 10,
                                                                                "sub-fields" => [
                                                                                        "parent" => [
                                                                                                "description" => __( 'Parent/Varible Product Data', 'wp-import-export' ),
                                                                                                "name"        => 'fields/variation/method/parent-child/parent',
                                                                                                "type"        => "text",
                                                                                        ]
                                                                                ]
                                                                        ],
                                                                        "child"  => [
                                                                                "order"      => 20,
                                                                                "sub-fields" => [
                                                                                        "child" => [
                                                                                                "description" => __( 'Child/Variation Product Data', 'wp-import-export' ),
                                                                                                "name"        => 'fields/variation/method/parent-child/data',
                                                                                                "type"        => "text",
                                                                                        ]
                                                                                ]
                                                                        ],
                                                                        "image"  => [
                                                                                "order"      => 30,
                                                                                "sub-fields" => [
                                                                                        "image" => [
                                                                                                "src"    => $imageDirUrl . 'parent-child.png',
                                                                                                "alt"    => __( 'Each variation is linked to its parent', 'wp-import-export' ),
                                                                                                "height" => "auto",
                                                                                                "width"  => "auto",
                                                                                                "class"  => "border rounded-1",
                                                                                                "order"  => 10,
                                                                                                "type"   => "image",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ],
                                                                "parent-child-group" => [
                                                                        "group" => [
                                                                                "order"      => 10,
                                                                                "sub-fields" => [
                                                                                        "group" => [
                                                                                                "description" => __( 'Group Data', 'wp-import-export' ),
                                                                                                "name"        => 'fields/variation/method/parent-child-group/data',
                                                                                                "type"        => "text",
                                                                                        ]
                                                                                ]
                                                                        ],
                                                                        "image" => [
                                                                                "order"      => 20,
                                                                                "sub-fields" => [
                                                                                        "image" => [
                                                                                                "src"    => $imageDirUrl . 'parent-child-group.png',
                                                                                                "alt"    => __( 'Product and variations have same data', 'wp-import-export' ),
                                                                                                "height" => "auto",
                                                                                                "width"  => "auto",
                                                                                                "class"  => "border rounded-1",
                                                                                                "order"  => 10,
                                                                                                "type"   => "image",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ],
                                                                "child-group"        => [
                                                                        "group" => [
                                                                                "order"      => 10,
                                                                                "sub-fields" => [
                                                                                        "group" => [
                                                                                                "description" => __( 'Group Data', 'wp-import-export' ),
                                                                                                "name"        => 'fields/variation/method/child-group/data',
                                                                                                "type"        => "text",
                                                                                        ]
                                                                                ]
                                                                        ],
                                                                        "image" => [
                                                                                "order"      => 20,
                                                                                "sub-fields" => [
                                                                                        "image" => [
                                                                                                "src"    => $imageDirUrl . 'child-group.png',
                                                                                                "alt"    => __( 'Product and variations have same data but There are no parent product', 'wp-import-export' ),
                                                                                                "height" => "auto",
                                                                                                "width"  => "auto",
                                                                                                "class"  => "border rounded-1",
                                                                                                "order"  => 10,
                                                                                                "type"   => "image",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ],
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
