<?php



namespace WpieApp\Extensions\Import\Wpml\Controller\Items\Base\Fields\Multilingual;

use WpieApp\Extensions\Import\Wpml\Controller\Items\Base\Languages;

defined( 'WPIE__FILE__' ) || exit;


class Language {

        
        public static function getBlocks() {

                $languages = Languages::get();

                $languages[ "as_specified" ] = __( "As specified", 'wp-import-export' );

                return [
                        "title"         => __( 'Language', 'wp-import-export' ),
                        "desc"          => __( 'Import Language', 'wp-import-export' ),
                        "order"         => 10,
                        "isRecommended" => true,
                        "isActive"      => true,
                        "fields"        => [
                                "languages" => [
                                        "order"      => 5,
                                        "label"      => __( 'Language', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "languages" => [
                                                        "description" => __( 'Language', 'wp-import-export' ),
                                                        "name"        => "fields/wpml/language/data",
                                                        "type"        => "radio",
                                                        "default"     => "",
                                                        "choices"     => $languages,
                                                        "preHtml"     => self::getFlagList(),
                                                        "hints"       => [
                                                                "as_specified" => __( 'Custom Status specified by you', 'wp-import-export' ),
                                                        ],
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                        ],
                                                        "fields"      => [
                                                                "as_specified" => [
                                                                        "languages-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "as-specified" => [
                                                                                                "description" => __( 'All Above Languages are supported', 'wp-import-export' ),
                                                                                                "name"        => "fields/wpml/language/data_as_specified",
                                                                                                "class"       => "",
                                                                                                "order"       => 10,
                                                                                                "type"        => "textarea",
                                                                                                "hint"        => [
                                                                                                        [ "text" => __( 'Language Label or slug', 'wp-import-export' ) ],
                                                                                                ],
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ]
                                ]
                        ]
                ];
        }

        
        public static function getFlagList() {

                global $sitepress;

                $languages = Languages::get();

                $flags = [];

                foreach ( array_keys( $languages ) as $slug ) {
                         /* translators: %s: Image Url */
                        $flags[ $slug ] = sprintf( '<img class="wpie-wpml-flag-image me-2" src="%s"/>', esc_url( $sitepress->get_flag_url( $slug ) ) );
                }

                return $flags;
        }
}
