<?php



namespace WpieApp\Extensions\Import\Wpml\Controller\Items\Base;

use WpieApp\Modules\Export\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Languages {

        
        private static $cache = [];

        
        private static $list = [];

        
        public static function get() {

                if ( Helper::isNonEmptyArray( self::$cache ) ) {
                        return self::$cache;
                }

                self::$cache = [];

                foreach ( self::getList() as $slug => $lang ) {
                        $name   = isset( $lang[ 'native_name' ] ) ? $lang[ 'native_name' ] : "";
                        $locale = isset( $lang[ 'default_locale' ] ) ? $lang[ 'default_locale' ] : "";

                        self::$cache[ $slug ] = $name . ' - ' . $locale;
                }

                return self::$cache;
        }

        
        public static function getList() {

                if ( Helper::isNonEmptyArray( self::$list ) ) {
                        return self::$list;
                }

                global $sitepress;

                self::$list = $sitepress->get_active_languages();

                return self::$list;
        }

}
