<?php



namespace WpieApp\Extensions\Import\Wpml\Controller;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Import\Wpml\Controller\Items\Post\Manager as Post;
use WpieApp\Extensions\Import\Wpml\Controller\Items\Term\Manager as Term;
use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function init() {

                \add_action( 'Wpie/Import/Post/Init', [ __CLASS__, 'initPost' ] );

                \add_action( 'Wpie/Import/Term/Init', [ __CLASS__, 'initTerm' ] );
        }

        
        public static function initPost( $contentType = '' ) {

                global $sitepress;

                if ( !$sitepress->is_translated_post_type( $contentType ) ) {
                        return;
                }

                Post::init();
        }

        
        public static function initTerm( $contentType = '' ) {

                if ( 'attribute' === $contentType && 'wc' === Settings::get( 'category' ) ) {
                        
                }elseif ( !self::isTranslatedTaxonomy( $contentType ) ) {
                        return;
                }

                Term::init();
        }

        
        public static function isTranslatedTaxonomy( $contentType = '' ) {

                global $sitepress;

                $types = Helper::isNonEmptyStr( $contentType ) ? [ $contentType ] : (Helper::isNonEmptyArray( $contentType ) ? $contentType : []);

                if ( !Helper::isNonEmptyArray( $types ) ) {
                        return false;
                }

                $isTranslatedTaxonomy = false;

                foreach ( $types as $taxonomy ) {
                        if ( $sitepress->is_translated_taxonomy( $taxonomy ) ) {
                                $isTranslatedTaxonomy = true;
                                break;
                        }
                }

                if ( !$isTranslatedTaxonomy ) {
                        return false;
                }

                return true;
        }
}
