<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class General {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( 'yoastseo/general/title' ) ) {
                        $data[ 'title' ] = DataCenter::get( "yoastseo/general/title/data" );
                }
                if ( DataCenter::canUpdate( 'yoastseo/general/metadesc' ) ) {
                        $data[ 'metadesc' ] = DataCenter::get( "yoastseo/general/metadesc/data" );
                }
                if ( DataCenter::canUpdate( 'yoastseo/general/focuskeywords' ) ) {
                        $data[ 'focuskw' ] = DataCenter::get( "yoastseo/general/focuskeywords/data" );
                }
                if ( DataCenter::canUpdate( 'yoastseo/general/relatedkeyphrases' ) ) {
                        $data[ 'focuskeywords' ] = self::getRelatedKeyphrases();
                }
                if ( DataCenter::canUpdate( 'yoastseo/general/keyphrasesynonyms' ) ) {
                        $data[ 'keywordsynonyms' ] = self::getSynonyms();
                }
                if ( DataCenter::canUpdate( 'yoastseo/general/is_cornerstone' ) ) {

                        $isCornerstone = DataCenter::get( "yoastseo/general/is_cornerstone/data" );

                        $data[ 'is_cornerstone' ] = Helper::detectBoolVal( $isCornerstone ) === true ? '1' : '';
                }

                return $data;
        }

        
        private static function getSynonyms() {

                $data = DataCenter::get( "yoastseo/general/keyphrasesynonyms/data" );

                if ( !Helper::isNonEmptyStr( $data ) ) {
                        return $data;
                }

                if ( !Helper::isPossiblyJson( $data ) ) {
                        return Helper::jsonEncode( Helper::strToArr( $data ) );
                }

                $jsonData = Helper::jsonDecode( $data, true );

                if ( Helper::isNonEmptyArray( $jsonData ) ) {
                        return $data;
                }

                return [];
        }

        
        private static function getRelatedKeyphrases() {

                $data = DataCenter::get( "yoastseo/general/relatedkeyphrases/data" );

                if ( !Helper::isNonEmptyStr( $data ) ) {
                        return $data;
                }

                if ( !Helper::isPossiblyJson( $data ) ) {

                        $keyphrases = Helper::strToArr( $data );

                        $result = [];

                        foreach ( $keyphrases as $keyword ) {

                                $result[] = [ "keyword" => $keyword, "score" => "" ];
                        }
                        return Helper::jsonEncode( $result );
                }

                $jsonData = Helper::jsonDecode( $data, true );

                if ( Helper::isNonEmptyArray( $jsonData ) ) {
                        return $data;
                }

                return [];
        }
}
