<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields;

use WPSEO_News;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\News\ExcludesGoogleNews;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\News\StockTickers;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Engines\News as NewsEngines;

defined( 'WPIE__FILE__' ) || exit;


class News implements InterfaceField {

        
        public static function get() {

                if ( !NewsEngines::isPostTypeSupported( Settings::getContentType() ) ) {
                        return [];
                }
                $fields = [
                        "label"  => __( 'Yoast SEO - News Addon', 'wp-import-export' ),
                        "class"  => "wpie-yoastseo-news-fields",
                        "order"  => 32.4,
                        "blocks" => static::getFields()
                ];

                
                return \apply_filters( 'Wpie/Import/Post/Fields/YoastSeo/News', $fields, Settings::getContentType() );
        }

        
        protected static function getFields() {

                return [
                        "yoastseo/news/excludes_google_news" => ExcludesGoogleNews::getBlocks(),
                        "yoastseo/news/stock_tickers"        => StockTickers::getBlocks()
                ];
        }
}
