<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\Schema;

use Yoast\WP\SEO\Config\Schema_Types;
use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class ArticleType {

        
        public static function getBlocks( $articleType = [] ) {

                $choices = self::getArticleType();

                $choices[ "as_specified" ] = __( "As specified", 'wp-import-export' );

                return [
                        "title"  => __( 'Article Type', 'wp-import-export' ),
                        "desc"   => __( 'Article Type', 'wp-import-export' ),
                        "order"  => 10,
                        "fields" => [
                                "article-type" => [
                                        "order"      => 5,
                                        "label"      => __( 'Article Type', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "article-type" => [
                                                        "description"   => __( "SEO Schema Article Type", 'wp-import-export' ),
                                                        "name"          => "fields/yoastseo/schema/article_type/data",
                                                        "type"          => "radio",
                                                        "default"       => "as_specified",
                                                        "choices"       => $choices,
                                                        "choices-class" => [
                                                                "Article"      => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "article-type-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "article-type" => [
                                                                                                "description" => __( 'All above seo schema article type are supported', 'wp-import-export' ),
                                                                                                "name"        => "fields/yoastseo/schema/article_type/data_as_specified",
                                                                                                "class"       => "",
                                                                                                "order"       => 5,
                                                                                                "type"        => "text",
                                                                                                "hint"        => [
                                                                                                        [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                                                        [ 'text' => __( 'Default : Article', 'wp-import-export' ) ],
                                                                                                ],
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

        
        public static function getArticleType() {

                $schema = new Schema_Types();

                $schemaType = $schema->get_article_type_options();

                unset( $schema );

                return Helper::isNonEmptyArray( $schemaType ) ? \wp_list_pluck( $schemaType, 'name', 'value' ) : [];
        }
}
