<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Social\Facebook;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Social\Instagram;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Social\LinkedIn;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Social\MySpace;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Social\Pinterest;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Social\SoundCloud;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Social\Tumblr;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Social\Twitter;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Social\YouTube;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Social\Wikipedia;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Social\Mastodon;

defined( 'WPIE__FILE__' ) || exit;


class Social implements InterfaceField {

        
        public static function get() {

                $fields = [
                        "label"  => __( 'Yoast SEO - Social', 'wp-import-export' ),
                        "class"  => "wpie-yoastseo-social-fields",
                        "order"  => 32.1,
                        "blocks" => static::getFields()
                ];

                
                return \apply_filters( 'Wpie/Import/User/Fields/YoastSeo/Social', $fields, Settings::getContentType() );
        }

        
        protected static function getFields() {

                return [
                        "yoastseo/social/facebook"   => Facebook::getBlocks(),
                        "yoastseo/social/instagram"  => Instagram::getBlocks(),
                        "yoastseo/social/linkedin"   => LinkedIn::getBlocks(),
                        "yoastseo/social/myspace"    => MySpace::getBlocks(),
                        "yoastseo/social/pinterest"  => Pinterest::getBlocks(),
                        "yoastseo/social/soundcloud" => SoundCloud::getBlocks(),
                        "yoastseo/social/tumblr"     => Tumblr::getBlocks(),
                        "yoastseo/social/twitter"    => Twitter::getBlocks(),
                        "yoastseo/social/youtube"    => YouTube::getBlocks(),
                        "yoastseo/social/wikipedia"  => Wikipedia::getBlocks(),
                        "yoastseo/social/mastodon"   => Mastodon::getBlocks(),
                ];
        }
}
