<?php



namespace WpieApp\Modules\Debug\View\Logs\SystemInfo;

defined( 'WPIE__FILE__' ) || exit;


class ActivePlugins {

        
        public static function get() {


                return [
                        "label" => __( 'Active Plugins', 'wp-import-export' ),
                        "order" => 80,
                        "data"  => self::getActivePlugins()
                ];
        }

        
        private static function getActivePlugins() {

                require_once ABSPATH . 'wp-admin/includes/plugin.php';

                if ( !function_exists( '\get_plugin_data' ) ) {
                        return [];
                }

                $active_plugins = ( array ) \get_option( 'active_plugins', [] );

                if ( \is_multisite() ) {
                        $network_activated_plugins = array_keys( \get_site_option( 'active_sitewide_plugins', [] ) );
                        $active_plugins            = array_merge( $active_plugins, $network_activated_plugins );
                }


                $active_plugins_data = [];

                foreach ( $active_plugins as $plugin ) {

                        $data = get_plugin_data( WP_PLUGIN_DIR . '/' . $plugin );

                        $label      = isset( $data[ 'Name' ] ) ? $data[ 'Name' ] : "";
                        $version    = isset( $data[ 'Version' ] ) ? $data[ 'Version' ] : "";
                        $AuthorName = isset( $data[ 'AuthorName' ] ) ? $data[ 'AuthorName' ] : "";

                        $active_plugins_data[] = [
                                'label' => $label,
                                'data'  => __( 'by', 'wp-import-export' ) . " " . $AuthorName . " - version " . $version
                        ];
                }

                return $active_plugins_data;
        }

}
