<?php



namespace WpieApp\Modules\Export\Controller\Items\Comment;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Comment\Fields\Standard;
use WpieApp\Modules\Export\Controller\Items\Comment\Fields\Meta;
use WpieApp\Modules\Export\Controller\Items\Comment\Fields\Post;
use WpieApp\Modules\Export\Controller\Items\Comment\Fields\Parents;
use WpieApp\Modules\Export\Controller\Items\Comment\Fields\Author;
use WpieApp\Modules\Export\Controller\Items\Base\Fields as BaseFields;

defined( 'WPIE__FILE__' ) || exit;


class Fields extends BaseFields {

        
        public static function get() {

                $contentType = Settings::getContentType();

                
                \do_action( 'Wpie/Export/Comment/Fields/Init', $contentType );

                
                return \apply_filters( 'Wpie/Export/Comment/Fields', parent::get(), $contentType );
        }

        
        protected static function getData() {

                return [
                        "standard" => Standard::get(),
                        "post"     => Post::get(),
                        "parent"   => Parents::get(),
                        "author"   => Author::get(),
                        "meta"     => Meta::get()
                ];
        }
}
