<?php



namespace WpieApp\Modules\Export\Controller\Items\Comment\Fields;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\Meta as BaseMeta;

defined( 'WPIE__FILE__' ) || exit;


class Meta extends BaseMeta implements InterfaceField {

        
        public static function get() {


                
                return \apply_filters( 'Wpie/Export/Comment/Fields/Meta', parent::get(), Settings::getContentType() );
        }

        
        protected static function getMetaKeys( $contentType = '' ) {

                
                $limit = \apply_filters( 'Wpie/Export/Comment/Fields/Meta/Limit', 500 );

                $excludes = static::getExcludesMetaQuery();

                $keys = DB::wpdb()->get_col(
                        DB::wpdb()->prepare(
                                "SELECT DISTINCT `commentmeta`.`meta_key`
				FROM " . DB::wpdb()->commentmeta . " AS `commentmeta`
				LEFT JOIN " . DB::wpdb()->comments . " AS `comments` ON ( `comments`.`comment_ID` = `commentmeta`.`comment_id` )
				WHERE `commentmeta`.`meta_value` != '' $excludes
                                ORDER BY `commentmeta`.`meta_key`
				LIMIT %d",
                                $limit
                        )
                );

                return $keys;
        }

        
        protected static function getExcludesMeta( $contentType = '' ) {

                
                $excludes = apply_filters( 'Wpie/Export/Comment/Fields/Meta/Excludes', parent::getExcludesMeta(), $contentType );

                return Helper::isNonEmptyArray( $excludes ) ? array_unique( $excludes ) : [];
        }

        
        protected static function getExcludesMetaQuery( $contentType = '' ) {

                $query = parent::getExcludesMetaQuery();

                $keys = DB::prepareData( static::getExcludesMeta() );

                if ( Helper::isNonEmptyStr( $keys ) ) {
                        $query[] = " AND `commentmeta`.`meta_key` NOT IN ( " . $keys . " ) ";
                }

                
                $query = \apply_filters( 'Wpie/Export/Comment/Fields/Meta/Query/Where', $query, $contentType );

                return Helper::isNonEmptyArray( $query ) ? implode( " ", array_unique( $query ) ) : "";
        }
}
