<?php



namespace WpieApp\Modules\Export\Controller\Items\Post\DataCenters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Standard {

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                if ( Helper::isEmptyStr( $element ) ) {
                        return "";
                }

                if ( 'guid' === $element ) {
                        return \urldecode_deep( \get_permalink( DataCenter::getItem() ) );
                }

                if ( 'parent_slug' === $element ) {
                        return \urldecode_deep( self::getParentSlug() );
                }
                if ( 'sticky_post' === $element ) {
                        return \is_sticky( DataCenter::getId() ) ? 'Yes' : 'No';
                }

                $data = isset( DataCenter::getItem()->$element ) ? DataCenter::getItem()->$element : "";

                if ( 'post_name' === $element ) {
                        $data = \urldecode_deep( $data );
                }

                
                return \apply_filters( 'Wpie/Export/Post/Standard/Data', $data, Settings::getContentType() );
        }

        
        private static function getParentSlug() {

                if ( !isset( DataCenter::getItem()->post_parent ) || DataCenter::getItem()->post_parent === 0 ) {
                        return "";
                }

                $parent_posts = \get_post_ancestors( DataCenter::getItem() );

                if ( !Helper::isNonEmptyArray( $parent_posts ) ) {
                        return "";
                }

                $slugs = [];
                foreach ( $parent_posts as $post ) {
                        $the_post = \get_post( $post );
                        if ( $the_post ) {
                                $slugs[] = $the_post->post_name;
                        }
                        unset( $the_post );
                }

                if ( empty( $slugs ) ) {
                        return "";
                }

                $parent = implode( "/", array_reverse( $slugs ) );

                unset( $slugs, $parent_posts );

                return $parent;
        }
}
