<?php



namespace WpieApp\Modules\Export\Controller\Items\Post\DataCenters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Taxonomy {

        
        protected static $cache = [];

        
        protected static $taxonomy = '';

        
        protected static $terms = [];

        
        public static function getField() {

                $taxonomy = DataCenter::getFieldOption( "element" );

                if ( Helper::isEmptyStr( $taxonomy ) ) {
                        return "";
                }

                self::$taxonomy = $taxonomy;

                self::$cache = [];

                self::$terms = [];

                $terms = \get_the_terms( DataCenter::getItem(), $taxonomy );

                $hierarchy = self::getTerms( $terms );

                $hierarchy = Helper::isEmpty( $hierarchy ) ? "" : DataCenter::handleArr( $hierarchy, ', ' );

                
                return \apply_filters( 'Wpie/Export/Post/Taxonomy/Data', $hierarchy, $taxonomy, Settings::getContentType() );
        }

        
        public static function getTerms( $terms = [] ) {

                if ( !Helper::isNonEmptyArray( $terms ) ) {
                        return "";
                }

                self::$terms = \wp_list_pluck( $terms, "term_id" );

                $hierarchy = [];

                foreach ( $terms as $term ) {

                        if ( !isset( $term->term_id ) ) {
                                continue;
                        }

                        if ( self::checkChildrenAssign( $term->term_id ) ) {
                                continue;
                        }

                        $hierarchy[] = self::getAncestors( $term );
                }

                return $hierarchy;
        }

        
        public static function getAncestors( $term ) {

                if ( !isset( $term->parent ) || 1 > absint( $term->parent ) ) {
                        return isset( $term->name ) ? $term->name : '';
                }

                $ancestors = [];

                while ( !is_wp_error( $term ) && 0 < absint( $term->parent ) && !in_array( $term->parent, $ancestors, true ) ) {
                        $ancestors[]   = isset( $term->name ) ? $term->name : '';
                        self::$cache[] = $term->parent;
                        $term          = \get_term( $term->parent, self::$taxonomy );
                }

                $ancestors[] = isset( $term->name ) ? $term->name : '';

                return implode( ' > ', \array_reverse( $ancestors ) );
        }

        public static function checkChildrenAssign( $termId = 0 ) {

                if ( in_array( $termId, self::$cache ) ) {
                        return true;
                }

                $children = \get_term_children( $termId, self::$taxonomy );

                if ( \is_wp_error( $children ) || !Helper::isNonEmptyArray( $children ) ) {
                        return false;
                }

                $isAssign = false;

                foreach ( $children as $child ) {

                        if ( in_array( $child, self::$terms ) ) {
                                $isAssign = true;
                                break;
                        }
                }

                return $isAssign;
        }

}
