<?php



namespace WpieApp\Modules\Export\Controller\Items\Taxonomy;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\Fields\Standard;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\Fields\Parents;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\Fields\Meta;
use WpieApp\Modules\Export\Controller\Items\Base\Fields as BaseFields;

defined( 'WPIE__FILE__' ) || exit;


class Fields extends BaseFields {

        
        public static function get() {

                $contentType = Settings::getContentType();

                
                \do_action( 'Wpie/Export/Taxonomy/Fields/Init', $contentType );

                
                return \apply_filters( 'Wpie/Export/Taxonomy/Fields', parent::get(), $contentType );
        }

        
        protected static function getData() {

                return [
                        "standard" => Standard::get(),
                        "parents"  => Parents::get(),
                        "meta"     => Meta::get(),
                ];
        }
}
