<?php



namespace WpieApp\Modules\Export\Controller\Items\Taxonomy\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Parents implements InterfaceField {

        
        const FIELD_TYPE = "parents";

        
        public static function get() {

                $contentType = Settings::getContentType();

                if ( !\is_taxonomy_hierarchical( $contentType ) ) {
                        return [];
                }

                $fields = [
                        "title"    => \esc_html__( "Parents", 'wp-import-export' ),
                        "priority" => 20,
                        "data"     => [
                                [ 'label' => 'Parent ID', 'type' => Standard::FIELD_TYPE, 'element' => 'parent' ],
                                [ 'label' => 'Parent Name', 'type' => self::FIELD_TYPE, 'element' => 'parent_name' ],
                                [ 'label' => 'Parent Slug', 'type' => self::FIELD_TYPE, 'element' => 'parent_slug' ]
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Taxonomy/Fields/Parents', $fields, Settings::getContentType() );
        }

}
