<?php



namespace WpieApp\Modules\Export\Controller\Items\User\Filters;

use WpieApp\Core\Utils\DB;
use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Items\User\Filter;
use WpieApp\Modules\Export\Controller\Items\Base\Filters\Filter as BaseFilter;

defined( 'WPIE__FILE__' ) || exit;


class Meta extends BaseFilter {

        
        protected static $isJoinQueryAdded = false;

        
        protected static $tableAlias = "usermeta";

        
        public static function addRule() {

                $element = Filter::getOption( "element", "field" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return false;
                }

                self::addJoinQuery();

                $condition = Filter::getOption( 'condition' );

                $data = Filter::getOption( 'value' );

                $field = self::getTableAlias() . ".`meta_value`";

                $comparison = Filter::getOption( 'comparison' );

                if ( 'user_role' === $element ) {
                        $rule    = self::bulidRoleRule( $field, $data, $condition, $comparison );
                        $element = DB::prefix() . 'capabilities';
                } else {

                        $rule = Filter::bulidRule( $field, $data, $condition, $comparison );
                }

                if ( Helper::isNonEmptyStr( $rule ) ) {
                        $rule = DB::wpdb()->prepare( self::getTableAlias() . ".`meta_key` = %s", $element ) . " AND " . $rule;
                }

                Filter::addWhere( $rule );
        }

        
        public static function bulidRoleRule( $field, $data = "", $condition = "", $comparison = "" ) {

                if ( !in_array( $condition, [ 'in', 'not_in' ] ) ) {

                        $condition = str_replace( [ 'equals', 'not_equals' ], [ 'contains', 'not_contains' ], $condition );

                        return Filter::bulidRule( $field, $data, $condition, $comparison );
                }

                $rule = "";

                $values = Helper::strToArr( $data );

                if ( !Helper::isNonEmptyArray( $values ) ) {
                        return false;
                }

                $newCondition = ($condition === "not_in" ? 'not_contains' : 'contains');

                $join = ($condition === "not_in" ? "AND" : "OR");

                foreach ( $values as $val ) {
                        $rule .= " " . $join . " " . Filter::bulidRule( $field, $val, $newCondition, "strings" );
                }

                return Helper::strTrim( $rule, [ "OR", "AND" ] );
        }

        
        public static function addJoinQuery() {

                if ( self::$isJoinQueryAdded ) {
                        return true;
                }

                self::$isJoinQueryAdded = true;

                Filter::addJoin( " LEFT JOIN " . DB::wpdb()->usermeta . " AS " . self::getTableAlias() . " ON (" . self::getTableAlias() . ".`user_id` = " . DB::wpdb()->users . ".`ID`) " );
        }

}
