<?php




namespace WpieApp\Modules\Export\Helpers;

defined( 'ABSPATH' ) || exit;


trait Condition {

        
        public static function getConditionList() {

                $conditions = [
                        'date'    => [
                                'equals'            => __( 'Equals', 'wp-import-export' ),
                                'not_equals'        => __( "Doesn't Equal", 'wp-import-export' ),
                                'greater'           => __( 'Newer Than', 'wp-import-export' ),
                                'equals_or_greater' => __( 'Equal To Or Newer Than', 'wp-import-export' ),
                                'less'              => __( 'Older Than', 'wp-import-export' ),
                                'equals_or_less'    => __( 'Equal To Or Older Than', 'wp-import-export' ),
                                'is_empty'          => __( 'Is Empty', 'wp-import-export' ),
                                'is_not_empty'      => __( 'Is Not Empty', 'wp-import-export' )
                        ],
                        'string'  => [
                                'equals'       => __( 'Equals', 'wp-import-export' ),
                                'not_equals'   => __( "Doesn't Equal", 'wp-import-export' ),
                                'in'           => __( 'In', 'wp-import-export' ),
                                'not_in'       => __( 'Not In', 'wp-import-export' ),
                                'contains'     => __( 'Contains', 'wp-import-export' ),
                                'not_contains' => __( "Doesn't Contain", 'wp-import-export' ),
                                'is_empty'     => __( 'Is Empty', 'wp-import-export' ),
                                'is_not_empty' => __( 'Is Not Empty', 'wp-import-export' )
                        ],
                        'number'  => [
                                'equals'            => __( 'Equals', 'wp-import-export' ),
                                'not_equals'        => __( "Doesn't Equal", 'wp-import-export' ),
                                'in'                => __( 'In', 'wp-import-export' ),
                                'not_in'            => __( 'Not In', 'wp-import-export' ),
                                'greater'           => __( 'Greater Than', 'wp-import-export' ),
                                'equals_or_greater' => __( 'Equal To Or Greater Than', 'wp-import-export' ),
                                'less'              => __( 'Less Than', 'wp-import-export' ),
                                'equals_or_less'    => __( 'Equal To Or Less Than', 'wp-import-export' ),
                                'is_empty'          => __( 'Is Empty', 'wp-import-export' ),
                                'is_not_empty'      => __( 'Is Not Empty', 'wp-import-export' )
                        ],
                        'default' => [
                                'equals'            => __( 'Equals', 'wp-import-export' ),
                                'not_equals'        => __( "Doesn't Equal", 'wp-import-export' ),
                                'in'                => __( 'In', 'wp-import-export' ),
                                'not_in'            => __( 'Not In', 'wp-import-export' ),
                                'contains'          => __( 'Contains', 'wp-import-export' ),
                                'not_contains'      => __( "Doesn't Contain", 'wp-import-export' ),
                                'greater'           => __( 'Greater Than', 'wp-import-export' ),
                                'equals_or_greater' => __( 'Equal To Or Greater Than', 'wp-import-export' ),
                                'less'              => __( 'Less Than', 'wp-import-export' ),
                                'equals_or_less'    => __( 'Equal To Or Less Than', 'wp-import-export' ),
                                'is_empty'          => __( 'Is Empty', 'wp-import-export' ),
                                'is_not_empty'      => __( 'Is Not Empty', 'wp-import-export' )
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Conditions', $conditions );
        }

}
