<?php



namespace WpieApp\Modules\Export;

use WpieApp\Core\Utils\Cron;
use WpieApp\Providers\Middleware as BaseMiddleware;
use WpieApp\Modules\Export\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Middleware extends BaseMiddleware {

        
        public function boot() {

                // add menu...
                $this->createMenu( __( 'Export', 'wp-import-export' ), $this->getAssets(), 10 );
        }

        
        private function getAssets() {

                $moduleURL = Helper::activeModuleURL();

                return [
                        'styles'  => [
                                Helper::PLUGIN_PREFIX . 'export' => [
                                        "src" => $moduleURL . '/assets/css/export.css',
                                        "rtl" => true
                                ]
                        ],
                        'scripts' => [
                                'jquery-ui-sortable'               => '',
                                'jquery-ui-draggable'              => '',
                                Helper::PLUGIN_PREFIX . 'export'   => $moduleURL . '/assets/js/export.js',
                                Helper::PLUGIN_PREFIX . 'settings' => [
                                        "src"  => $moduleURL . '/assets/js/settings.js',
                                        "deps" => [ 'jquery', Helper::PLUGIN_PREFIX . 'admin', Helper::PLUGIN_PREFIX . 'export' ],
                                ],
                        ]
                ];
        }

        
        public function addJsonData() {

                Helper::addJsonData( 'conditions', Helper::getConditionList() );

                Helper::addJsonData( "isCronActive", Cron::isActive() );
        }
}
