<?php



namespace WpieApp\Modules\Import\Controller\File\Downloader\Url\Downloader\Engine;

use WP_Error;
use GuzzleHttp\Client;
use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class GuzzleHttp extends Base {

        
        public static function download( $uri ) {

                $file = self::getFilename();

                $client = new Client( );

                try {
                        $responce = $client->request(
                                'GET',
                                $uri,
                                [
                                        'verify'  => false,
                                        'timeout' => self::getTimeout(),
                                        'sink'    => $file
                                ]
                        );

                        if ( $responce->getStatusCode() !== 200 ) {
                                Helper::deleteFile( $file );
                                return new WP_Error( 'wpieError', $responce->getReasonPhrase() );
                        }
                } catch ( ClientException $request ) {

                        $errorResponce = $request->getResponse();

                        if ( $errorResponce->getStatusCode() !== 200 ) {
                                Helper::deleteFile( $file );
                                return new WP_Error( 'wpieError', $errorResponce->getReasonPhrase() );
                        }
                } catch ( \Exception $e ) {

                        return new WP_Error( 'wpieError', $e->getMessage() );
                }

                return $file;
        }

        
        public static function get( $uri ) {

                $file = self::getFilename();

                $client = new Client( );

                try {
                        $request = $client->request(
                                'GET',
                                $uri,
                                [
                                        'verify'          => Base::SSL_Verify,
                                        'sink'            => $file,
                                        'timeout'         => self::getTimeout(),
                                        'stream'          => true,
                                        'allow_redirects' => [
                                                'max' => Base::Redirection
                                        ],
                                ]
                        );

                        return self::processResponce( $request );
                } catch ( ClientException $request ) {

                        return self::processResponce( $request->getResponse() );
                } catch ( \Exception $e ) {
                        Helper::deleteFile( $file );
                        return new WP_Error( 'wpieError', $e->getMessage() );
                }
        }

        
        private static function processResponce( $responce ) {

                $file = self::getFilename();

                if ( $responce->getStatusCode() !== 200 ) {
                        Helper::deleteFile( $file );
                        return new WP_Error( 'wpieError', $responce->getReasonPhrase() );
                }

                return $file;
        }
}
