<?php



namespace WpieApp\Modules\Import\Controller\File;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\File\Records\Csv;
use WpieApp\Modules\Import\Controller\File\Records\Xml;

defined( 'WPIE__FILE__' ) || exit;


class Record {

	
	public static function get( $action = "", $options = [] ) {
	
		if ( "csv" === Settings::getFileFormat() ) {

			return Csv::get( $action, $options );
		}

		return Xml::get( $action, $options );
	}

	
	public static function getReader() {

		if ( "csv" === Settings::getFileFormat() ) {

			return Csv::getReader();
		}

		return Xml::getReader();
	}

}
