<?php



namespace WpieApp\Modules\Import\Controller\Items\Base\AutoDetect;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\AutoDetect;

defined( 'WPIE__FILE__' ) || exit;


class Image {

        
        public static function setDefaults( $type = 'images' ) {

                AutoDetect::updateField( 'standard/content/images', '1', false );

                AutoDetect::updateField( $type . '/source/option', 'url', false );

                AutoDetect::updateField( $type . '/options/manage-existing', 'append', false );

                AutoDetect::updateField( $type . '/source/separator', '||', false );

                AutoDetect::updateField( $type . '/title/separator', '||', false );

                AutoDetect::updateField( $type . '/caption/separator', '||', false );

                AutoDetect::updateField( $type . '/alttext/separator', '||', false );

                AutoDetect::updateField( $type . '/description/separator', '||', false );
        }

        
        public static function update( $field = "", $type = 'images' ) {

                $fields = [
                        'imageurl'            => 'source',
                        $type . 'filename'    => 'title',
                        $type . 'caption'     => 'caption',
                        $type . 'alttext'     => 'alttext',
                        $type . 'description' => 'description',
                ];

                if ( 'images' === $type ) {
                        $fields[ 'imageurl' ] = 'source';
                } else {
                        $fields[ 'attachmenturl' ] = 'source';
                }

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                AutoDetect::update( $type . '/' . $fields[ $field ], $field );
        }
}
