<?php



namespace WpieApp\Modules\Import\Controller\Items\Base\Engines\Images;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Existing {

        
        protected static $id = 0;

        
        protected static $data = [];

        
        protected static $cache = [];

        
        protected static function init() {

                if ( static::$id === DataCenter::getId() ) {
                        return;
                }

                static::$id = DataCenter::getId();

                static::$data = [];

                static::$cache = [];

                static::set();
        }

        
        protected static function set() {

                return;
        }

        
        public static function search( $image = "" ) {

                if ( !Helper::isNonEmptyStr( $image ) ) {
                        return 0;
                }

                static::init();

                if ( DataCenter::isNewItem() || !Helper::isNonEmptyArray( static::$data ) ) {
                        return 0;
                }

                if ( isset( static::$cache[ $image ] ) ) {
                        return static::$cache[ $image ];
                }

                $attachId = 0;

                foreach ( static::$data as $data ) {

                        $title = isset( $data[ 'post_title' ] ) ? $data[ 'post_title' ] : "";

                        $id = isset( $data[ 'ID' ] ) ? $data[ 'ID' ] : 0;

                        if ( $title === $image || $title === pathinfo( $image, PATHINFO_FILENAME ) ) {

                                $attachId = $id;

                                break;
                        }

                        $file = get_post_meta( $id, "_wp_attached_file", true );

                        if ( $file === $image || $file === pathinfo( $image, PATHINFO_FILENAME ) || pathinfo( $file, PATHINFO_FILENAME ) === pathinfo( $image, PATHINFO_FILENAME ) ) {

                                $attachId = $id;

                                break;
                        }
                }

                static::$cache[ $image ] = $attachId;

                return $attachId;
        }

        
        public static function getAttachments() {

                static::init();

                if ( !Helper::isNonEmptyArray( static::$data ) ) {
                        return [];
                }

                $attachments = [];

                foreach ( static::$data as $data ) {

                        $attachments[] = isset( $data[ 'ID' ] ) ? $data[ 'ID' ] : 0;
                }
                return $attachments;
        }

}
