<?php


namespace WpieApp\Modules\Import\Controller\Items\Base;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Core\Page\Blocks\Fields\Alert;
use WpieApp\Core\Page\Blocks\Blocks;

defined( 'WPIE__FILE__' ) || exit;


class ExistingItemsFields {

        
        protected static $data = [];

        
        protected static function getHtml() {

                if ( !Helper::isNonEmptyArray( self::$data ) ) {
                        return;
                }

                self::$data = Helper::sortBy( self::$data, "priority" );

                $html = "";

                foreach ( self::$data as $section ) {
                        $html .= self::getSection( $section );
                }

                return $html;
        }

        
        protected static function getSection( $section = [] ) {

                if ( !Helper::isNonEmptyArray( $section ) ) {
                        return;
                }
                if ( !isset( $section[ 'blocks' ] ) || !Helper::isNonEmptyArray( $section[ 'blocks' ] ) ) {
                        return;
                }

                $section[ 'blocks' ]     = Helper::sortBy( $section[ 'blocks' ] );
                $section[ 'group-name' ] = isset( $section[ 'group-name' ] ) ? Helper::toString( $section[ 'group-name' ] ) : "fields";

                $uid = Helper::randStr( "wpie-block-" );

                \ob_start();
                ?>

                <div class="modal fade <?php echo esc_html( $uid ); ?> wpie-existing-item-fields-container">
                        <div class="modal-dialog modal-fullscreen">
                                <div class="modal-content">
                                        <div class="modal-header">
                                                <h5 class="modal-title" ><?php esc_html_e( 'Search Existing Items', 'wp-import-export' ); ?></h5>
                                                <div class="align-right ms-auto">
                                                        <button type="button" class="btn btn-primary wpie-save-existing-item-btn" ><i class="bse-fs-14 me-1 fa-solid fa-check"></i><?php esc_html_e( 'Save', 'wp-import-export' ); ?></button>
                                                </div>
                                        </div>
                                        <div class="modal-body bg-light pt-0">
                                                <div class="row">
                                                        <div class="col-sm-6 col-xl-8 pe-0">
                                                                <?php
                                                                Alert::addNotes( [
                                                                        [
                                                                                "type"       => "success",
                                                                                "icon-class" => "fa-solid fa-circle-info ",
                                                                                "class"      => "mb-0 wpie-drag-and-drop-mapping-alert mt-3 me-3",
                                                                                "text"       => __( 'Drag and drop any field from the table header or XML tag.', 'wp-import-export' )
                                                                        ]
                                                                ] );

                                                                Blocks::render( [ $section ] );
                                                                ?>
                                                        </div>
                                                        <div class="col-sm-6 col-xl-4 ps-0 position-ralative">
                                                                <div class="wpie-mapping-fields mt-3"></div>
                                                        </div>
                                                </div>
                                        </div>
                                </div>
                        </div>
                </div>
                <?php
                return \ob_get_clean();
        }
}
