<?php



namespace WpieApp\Modules\Import\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\Attachment\Source;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\Attachment\Title;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\Attachment\Caption;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\Attachment\AltText;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\Attachment\Description;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\Attachment\RenameFile;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\Attachment\Options;

defined( 'WPIE__FILE__' ) || exit;


class Attachment implements InterfaceField {

        
        public static function get() {


                $fields = [
                        "label"  => __( 'Attachment', 'wp-import-export' ),
                        "class"  => "wpie-attachment-fields",
                        "uid"    => Helper::randStr( "wpie-block-" ),
                        "order"  => 9999,
                        "blocks" => [
                                "attachments/options"     => Options::getBlocks(),
                                "attachments/source"      => Source::getBlocks(),
                                "attachments/title"       => Title::getBlocks(),
                                "attachments/caption"     => Caption::getBlocks(),
                                "attachments/description" => Description::getBlocks(),
                                "attachments/renamefile"  => RenameFile::getBlocks(),
                        ]
                ];

                
                return \apply_filters( 'Wpie/Import/Base/Fields/Attachment', $fields, Settings::get( 'content_type' ) );
        }

}
