<?php



namespace WpieApp\Modules\Import\Controller\Items\Base\Fields\Attachment;

use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Options {

        
        public static function getBlocks() {

                return [
                        "title"      => __( 'Settings', 'wp-import-export' ),
                        "desc"       => __( 'Attachment Settings', 'wp-import-export' ),
                        "order"      => 1,
                        "uid"        => Helper::randStr( "wpie-field-" ),
                        "block-type" => "options",
                        "fields"     => [
                                "manage-existing" => [
                                        "order"      => 10,
                                        "label"      => __( 'Manage Existing', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "update-existing" => [
                                                        "name"    => "fields/attachment/options/manage-existing",
                                                        "class"   => "wpie-attachment-manage-existing",
                                                        "order"   => 5,
                                                        "type"    => "radio",
                                                        "default" => "append",
                                                        "choices" => [
                                                                "append" => __( "Append Attachments", 'wp-import-export' ),
                                                                "remove" => __( "Replace attachments", 'wp-import-export' )
                                                        ],
                                                        "hints"   => [
                                                                "append" => __( "Append new attachments and keep Existing attachments", 'wp-import-export' ),
                                                                "remove" => __( "Remove/Replace existing and Add new attachments", 'wp-import-export' )
                                                        ],
                                                        "fields"  => [
                                                                "remove" => [
                                                                        "keep-attachments" => [
                                                                                "order"      => 20,
//										"label"		 => __( 'Remove Attachments', 'wp-import-export' ),
                                                                                "sub-fields" => [
                                                                                        "keep-existing" => [
                                                                                                "name"    => "fields/attachment/options/remove-permanent",
                                                                                                "class"   => "wpie-remove-permanent-attachments",
                                                                                                "order"   => 5,
                                                                                                "type"    => "radio",
                                                                                                "default" => "no",
                                                                                                "choices" => [
                                                                                                        "no"  => __( "Remove from post only", 'wp-import-export' ),
                                                                                                        "yes" => __( "Delete Permanent", 'wp-import-export' )
                                                                                                ],
                                                                                                "hints"   => [
                                                                                                        "no"  => __( "Keep Attachments in media library", 'wp-import-export' ),
                                                                                                        "yes" => __( "Delete Permanent file and data", 'wp-import-export' )
                                                                                                ],
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ]
                                ],
                        ]
                ];
        }

}
