<?php



namespace WpieApp\Modules\Import\Controller\Items\Post\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Author\Author as PostAuthor;

defined( 'WPIE__FILE__' ) || exit;


class Author implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/Post/Fields/Author', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"           => __( 'Author', 'wp-import-export' ),
                        "class"           => "wpie-author-fields",
                        "hide-bulk-check" => true,
                        "order"           => 299,
                        "blocks"          => [
                                "user/author" => PostAuthor::getBlocks(),
                        ]
                ];
        }

}
