<?php



namespace WpieApp\Modules\Import\Controller\Items\Post\Fields\Other;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Comment {

        
        public static function getBlocks() {

                $contentType = Settings::getContentLabel();

                return [
                        "title"  => __( 'Comments', 'wp-import-export' ),
                        /* translators: %s: content type */
                        "desc"   => sprintf( __( '%s comment', 'wp-import-export' ), $contentType ),
                        "order"  => 30,
                        "fields" => [
                                "item-comment" => [
                                        "order"      => 5,
                                        "label"      => __( 'Comments Status', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "comment_status" => [
                                                        /* translators: %s: content type */
                                                        "description"   => sprintf( __( '%s comment status', 'wp-import-export' ), $contentType ),
                                                        "name"          => "fields/standard/comment_status/data",
                                                        "order"         => 5,
                                                        "type"          => "radio",
                                                        "default"       => "open",
                                                        "choices"       => [
                                                                "open"         => __( "Open", 'wp-import-export' ),
                                                                "closed"       => __( "Closed", 'wp-import-export' ),
                                                                "as_specified" => __( "As specified", 'wp-import-export' ),
                                                        ],
                                                        "hint"          => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'yes, no, true, false, 0, 1, open, closed values are supported', 'wp-import-export' ) ],
                                                        ],
                                                        "choices-class" => [
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "comment_status-as-specified" => [
                                                                                "order"      => 5,
//										"label"		 => __( 'Remove Images', 'wp-import-export' ),
                                                                                "sub-fields" => [
                                                                                        "as-specified" => [
                                                                                                "name"  => "fields/standard/comment_status/data_as_specified",
                                                                                                "order" => 10,
                                                                                                "type"  => "textarea",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ]
                                ]
                        ]
                ];
        }

}
