<?php



namespace WpieApp\Modules\Import\Controller\Items\Post\Fields\Other;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Format {

        
        public static function getBlocks() {

                $contentType = Settings::getContentLabel();

                $formats = \get_post_format_strings();

                $formats[ "as_specified" ] = __( "As specified", 'wp-import-export' );

                return [
                        "title"  => __( 'Format', 'wp-import-export' ),
                        /* translators: %s: content type */
                        "desc"   => sprintf( __( '%s format', 'wp-import-export' ), $contentType ),
                        "order"  => 70,
                        "fields" => [
                                "item-format" => [
                                        "order"      => 5,
                                        /* translators: %s: content type */
                                        "label"      => sprintf( __( '%s Format', 'wp-import-export' ), $contentType ),
                                        "sub-fields" => [
                                                "format" => [
                                                        "name"          => "fields/standard/post_format/data",
                                                        "type"          => "radio",
                                                        "default"       => "standard",
                                                        "choices"       => $formats,
                                                        "choices-class" => [
                                                                "standard"     => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                         "hint"          => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "post_format-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "as-specified" => [
                                                                                                "name"  => "fields/standard/post_format/data_as_specified",
                                                                                                "order" => 10,
                                                                                                "type"  => "textarea",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ]
                                ]
                        ]
                ];
        }

}
