<?php



namespace WpieApp\Modules\Import\Controller\Items\User\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Import\Controller\Items\User\Fields\Other\Registered;
use WpieApp\Modules\Import\Controller\Items\User\Fields\Other\Nicename;
use WpieApp\Modules\Import\Controller\Items\User\Fields\Other\Website;
use WpieApp\Modules\Import\Controller\Items\User\Fields\Other\DisplayName;
use WpieApp\Modules\Import\Controller\Items\User\Fields\Other\NickName;
use WpieApp\Modules\Import\Controller\Items\User\Fields\Other\Description;
use WpieApp\Modules\Import\Controller\Items\User\Fields\Other\Language;

defined( 'WPIE__FILE__' ) || exit;


class Other implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/User/Fields/Standard', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Basic', 'wp-import-export' ),
                        "class"  => "wpie-other-fields",
                        "order"  => 15,
                        "blocks" => [
                                "other/registered"   => Registered::getBlocks(),
                                "other/nicename"     => Nicename::getBlocks(),
                                "other/website"      => Website::getBlocks(),
                                "other/display-name" => DisplayName::getBlocks(),
                                "other/nickname"     => NickName::getBlocks(),
                                "other/description"  => Description::getBlocks(),
                                "other/language"     => Language::getBlocks(),
                        ]
                ];
        }

}
