<?php




namespace WpieApp\Modules\Import\View\HandleItems;

defined( 'WPIE__FILE__' ) || exit;


class DeleteItems {

	
	public static function getBlocks() {

		
		return \apply_filters(
			'Wpie/Modules/Import/View/ManangeItems/DeleteItems',
			[
				"title"	 => __( 'Delete Items', 'wp-import-export' ),
				"order"	 => 15,
				"desc"	 => __( 'Delete Items', 'wp-import-export' ),
				"fields" => [
					"delete-items"		 => [
						"order"		 => 5,
						"label"		 => __( 'Delete Items', 'wp-import-export' ),
						"sub-fields"	 => [
							"delete-items" => [
								"type"		 => "radio",
								"order"		 => 5,
								"name"		 => "delete-items",
								"class"		 => "wpie-delete-existing-items",
								"default"	 => "no",
								"choices-class"	 => [ 'delete' => "bse-form-check-danger" ],
								"notes"		 => [ [
										"type"		 => "danger",
										"icon-class"	 => "fa-solid fa-triangle-exclamation",
										"class"		 => "mb-0 d-none wpie-delete-existing-items-alert",
										"text"		 => __( 'Caution : Delete Action not reversible', 'wp-import-export' )
									] ],
								"description"	 => __( 'Delete / Trash Existing Items that are no longer present in your file.', 'wp-import-export' ),
								"choices"	 => [
									"no"	 => __( "Do not delete anything", 'wp-import-export' ),
									"draft"	 => __( "Move to Draft", 'wp-import-export' ),
									"trash"	 => __( "Move to Trash", 'wp-import-export' ),
									"delete" => __( "Delete Permanently", 'wp-import-export' )
								]
							],
						],
					],
					"delete-attachments"	 => [
						"order"		 => 15,
						"label"		 => __( 'Delete Attachments', 'wp-import-export' ),
						"wrapper-class"	 => "wpie-delete-existing-attachments-wrapper d-none",
						"sub-fields"	 => [
							"delete-attachments" => [
								"type"		 => "radio",
								"order"		 => 5,
								"name"		 => "delete-attachments",
								"class"		 => "wpie-delete-existing-attachments",
								"default"	 => "no",
								"note"		 => [
									"type"	 => "danger",
									"text"	 => __( 'Caution: Action not reversible', 'wp-import-export' )
								],
								"description"	 => __( 'Delete Attachments.', 'wp-import-export' ),
								"choices-class"	 => [ 'delete' => "bse-form-check-danger" ],
								"choices"	 => [
									"no"	 => __( "Do not delete", 'wp-import-export' ),
									"delete" => __( "Delete Attachments & Images", 'wp-import-export' )
								]
							]
						]
					]
				]
			]
		);
	}

}
