<?php



namespace WpieApp\Modules\Logs\Controller;

use WpieApp\Core\Utils\DB;
use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Ajax as Export;
use WpieApp\Modules\Import\Controller\Settings as ImportSettings;

defined( 'WPIE__FILE__' ) || exit;


class Ajax {

        
        public static function removeLogs() {

                $ids = Helper::_post( "ids" );

                if ( ManageLog::removeLogs( $ids ) === false ) {
                        Helper::ajaxError( __( 'Something Wrong', 'wp-import-export' ) );
                }

                Helper::ajaxSuccess( __( 'Successfully deleted', 'wp-import-export' ) );
        }

        
        public static function updateStatus() {

                $status = Helper::_post( "status" );

                $ids = Helper::_post( "ids" );

                Helper::ajaxResponse( Status::update( $status, $ids ) );
        }

        
        public static function exportDownload() {

                Export::download();
        }

        
        public static function ImportDownload() {

                ImportSettings::autoLoad();

                Helper::download( ImportSettings::getUploadFilePath( 'file' ) );
        }

        
        public static function downloadLog() {

                ImportSettings::autoLoad();

                Helper::download( ImportSettings::getLogFilePath() );
        }

        
        public static function getErrorLog() {

                $file = Helper::_post( "file" );

                $path = Helper::pathJoin( WPIE_LOG_DIR, $file );

                if ( !file_exists( $path ) ) {
                        Helper::ajaxSuccess();
                }

                Helper::ajaxSuccess( nl2br( stripslashes( Helper::getFilesystem()->get_contents( $path ) ) ) );
        }

        
        public static function downloadErrorLog() {

                $file = Helper::_post( "file" );

                $path = Helper::isNonEmptyStr( $file ) ? Helper::pathJoin( WPIE_LOG_DIR, $file ) : "";

                Helper::download( $path );
        }

        
        public static function deleteErrorLog() {

                $file = Helper::_post( "file" );

                $path = Helper::isNonEmptyStr( $file ) ? Helper::pathJoin( WPIE_LOG_DIR, $file ) : "";

                Helper::deleteFile( $path );

                Helper::ajaxSuccess();
        }

        
        public static function setLogLimit() {

                $limit = Helper::toInt( Helper::_post( "limit" ) );

                $settingData = Helper::getOption( 'settings', "" );

                $settings = Helper::isNonEmptyStr( $settingData ) ? maybe_unserialize( $settingData ) : [];

                $settings[ "log-limit" ] = $limit < 10 || $limit > 50 ? 25 : $limit;

                Helper::setOption( 'settings', maybe_serialize( $settings ) );

                ManageLog::removeLogs();

                Helper::ajaxSuccess();
        }
}
